---
title: Architecture
weight: 1
tags: ["architecture", "concepts"]
---

{{< svg "img/architecture.svg" >}}

This section covers the various models that combine to form Vector's architecture. These are ordered progressively, beginning with the [data model][data_model] and broadening all the way to Vector's [runtime model][runtime_model].

## Key pages

{{< jump "/docs/about/under-the-hood/architecture/data-model" >}}
{{< jump "/docs/about/under-the-hood/architecture/pipeline-model" >}}
{{< jump "/docs/about/under-the-hood/architecture/concurrency-model" >}}
{{< jump "/docs/about/under-the-hood/architecture/buffering-model" >}}
{{< jump "/docs/about/under-the-hood/architecture/end-to-end-acknowledgements" >}}
{{< jump "/docs/about/under-the-hood/architecture/runtime-model" >}}

[data_model]: /docs/about/under-the-hood/architecture/data-model
[runtime_model]: /docs/about/under-the-hood/architecture/runtime-model
