---
title: VRL expression reference
short: Expressions
weight: 4
---

## Syntax

VRL programs can be constructed with the following syntax rules.

{{< vrl/syntax >}}

## Literal expressions

As in most other languages, **literals** in VRL are values written exactly as they are meant to be interpreted. Literals include things like strings, Booleans, and integers.

{{< vrl/literal-expressions >}}

## Dynamic expressions

VRL is an expression-oriented language. A VRL program consists entirely of expressions and every expression returns a value.

{{< vrl/dynamic-expressions >}}

[regex]: https://en.wikipedia.org/wiki/Regular_expression
[rfc3339]: https://tools.ietf.org/html/rfc3339
[rust_regex]: https://docs.rs/regex/latest/regex/#syntax
[utf8]: https://en.wikipedia.org/wiki/UTF-8
