package metadata

components: sources: demo_logs: {
	title: "Demo Logs"

	alias: "generator"

	description: """
		Generates fakes events useful for testing and demoing.
		"""

	classes: {
		commonly_used: false
		delivery:      "at_least_once"
		deployment_roles: ["daemon", "sidecar"]
		development:   "stable"
		egress_method: "stream"
		stateful:      false
	}

	features: {
		auto_generated:   true
		acknowledgements: false
		multiline: enabled: false
		codecs: {
			enabled:         true
			default_framing: "bytes"
		}
		generate: {}
	}

	support: {
		requirements: []
		warnings: []
		notices: []
	}

	installation: {
		platform_name: null
	}

	configuration: base.components.sources.demo_logs.configuration

	output: {
		logs: line: {
			description: "An individual event from a batch of events generated by vector for testing purposes."
			fields: {
				source_type: {
					description: "The name of the source type."
					required:    true
					type: string: {
						examples: ["demo_logs"]
					}
				}
			}
		}
	}
}
