package metadata

releases: "0.15.0": {
	date:     "2021-07-15"
	codename: ""

	description: """
		The Vector team is pleased to announce version 0.15.0!

		This release includes a number of new components for collecting and sending data using Vector:

		* [`datadog_events` sink](\(urls.vector_datadog_events_sink)) for sending events to [Datadog's event stream](\(urls.datadog_events)).
		* [`dnstap` source](\(urls.vector_dnstap_source)) for collecting events from a DNS server via the [dnstap protocol](\(urls.dnstap)).
		* [`fluent` source](\(urls.vector_fluent_source)) for collecting logs forwarded by [FluentD](\(urls.fluentd)),
		  [Fluent Bit](\(urls.fluentbit)), or other services capable of forwarding using the [fluent
		  protocol](\(urls.fluent)) such as Docker.
		* [`logstash` source](\(urls.vector_logstash_source)) for collecting logs forwarded by [Logstash](\(urls.logstash)),
		  [Elastic Beats](\(urls.elastic_beats)), or other services capable of forwarding using the [lumberjack
		  protocol](\(urls.logstash_protocol)) such as Docker.
		* [`azure_blob` sink](\(urls.vector_azure_blob_sink)) for forwarding logs to [Azure's Blob Storage](\(urls.azure_blob_storage)).
		* [`redis` sink](\(urls.vector_redis_sink)) for forwarding logs to [Redis](\(urls.redis)).
		* [`eventstoredb_metrics` source](\(urls.vector_eventstoredb_metrics_source)) for collecting metrics from [EventStoreDB](\(urls.eventstoredb)).

		It also contains a number of additional enhancements and bug fixes.  Check out the
		[highlights](/releases/0.15.0#highlights) and [changelog](/releases/0.15.0#changelog) for more details.
		"""

	commits: [
		{sha: "0f743e8242d43c7ad6893ee0b925e0aa04520608", date: "2021-06-03 07:36:41 UTC", description: "Move 'Transform' into core", pr_number:                                                      7701, scopes: ["dev"], type:                          "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count:   32, insertions_count:   425, deletions_count:   370},
		{sha: "5e09cfafbddcaa5b1b7199d6a269a53198d83ad7", date: "2021-06-03 23:04:01 UTC", description: "Changed default for glob_minimum_cooldown_ms to 1s", pr_number:                              7693, scopes: ["kubernetes_logs source"], type:       "enhancement", breaking_change: false, author: "Stephen Wakely", files_count:       2, insertions_count:    10, deletions_count:    1},
		{sha: "613bcda6ff4f08b736105ac0167c419825189e00", date: "2021-06-03 23:56:41 UTC", description: "RFC for improving/monitoring build performance", pr_number:                                  7695, scopes: ["performance"], type:                  "chore", breaking_change:       false, author: "Toby Lawrence", files_count:        1, insertions_count:    170, deletions_count:   0},
		{sha: "58e0ed698d7a96c918ca234d1e5b22914f97b9e6", date: "2021-06-03 22:57:57 UTC", description: "Rework metrics batch buffer", pr_number:                                                     7699, scopes: ["metrics"], type:                      "chore", breaking_change:       false, author: "Bruce Guenter", files_count:        5, insertions_count:    311, deletions_count:   280},
		{sha: "c25a4c3f84041b0478d744e4611a56e94d4652f7", date: "2021-06-04 00:05:18 UTC", description: "Trim unused public functions", pr_number:                                                    7703, scopes: ["dev"], type:                          "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count:   9, insertions_count:    2, deletions_count:     149},
		{sha: "4bc6befdaa92c467f8b12639bcacbfc9f731486a", date: "2021-06-04 05:18:25 UTC", description: "Add myself to docs/reference/team.cue", pr_number:                                           7742, scopes: [], type:                               "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count:   1, insertions_count:    7, deletions_count:     0},
		{sha: "94aab4031e0ec22ab66f275fa05e33c040b9881c", date: "2021-06-04 06:59:21 UTC", description: "Prep 0.14.0 release", pr_number:                                                             7725, scopes: ["releasing"], type:                    "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        7, insertions_count:    340, deletions_count:   4},
		{sha: "1b38de12e45eafc288994fd1cb5d4a6ccdd83b6c", date: "2021-06-04 07:06:31 UTC", description: "Bump Cargo.toml to 0.15.0 and update install version", pr_number:                            7743, scopes: ["releasing"], type:                    "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        3, insertions_count:    3, deletions_count:     3},
		{sha: "493e2c1769c459c68e428a4cbf5654b74b5b5b51", date: "2021-06-04 08:09:31 UTC", description: "Bump semver from 1.0.1 to 1.0.2", pr_number:                                                 7716, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    4, deletions_count:     4},
		{sha: "2f0d09d04650ebed51009770d6ae183c31251850", date: "2021-06-04 08:09:54 UTC", description: "Bump ordered-float from 2.5.0 to 2.5.1", pr_number:                                          7715, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      1, insertions_count:    2, deletions_count:     3},
		{sha: "e0af946d65031eb62a19cb7b17b45c1343f1f31c", date: "2021-06-04 08:15:16 UTC", description: "Ensure that flat dotted paths are removed by only_fields", pr_number:                        7588, scopes: ["codecs"], type:                       "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:        2, insertions_count:    21, deletions_count:    4},
		{sha: "ad4d7e51ce4151921e89d964561373d2904c9c01", date: "2021-06-04 11:24:32 UTC", description: "Bump maxminddb from 0.17.2 to 0.18.0", pr_number:                                            7747, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    4, deletions_count:     3},
		{sha: "629660c5f30b3ad2520f0a75ec60b387b1316d99", date: "2021-06-05 02:41:33 UTC", description: "run k8s-e2e tests on multinode kubernetes", pr_number:                                       7599, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Stephen Wakely", files_count:       15, insertions_count:   571, deletions_count:   98},
		{sha: "a83b73d73f7b160e369b60b2ad3193b6e28529bd", date: "2021-06-05 04:31:50 UTC", description: "Add `parse_ruby_hash` function", pr_number:                                                  7688, scopes: ["remap"], type:                        "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:       5, insertions_count:    335, deletions_count:   0},
		{sha: "b86a6c4e29d51832d26205f076880bb95b28aea1", date: "2021-06-05 05:58:14 UTC", description: "Allow strings to be compared", pr_number:                                                    7704, scopes: ["remap"], type:                        "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:       6, insertions_count:    66, deletions_count:    4},
		{sha: "caa5040249cd2a562cfe74a35b77cbfbd790e9a5", date: "2021-06-05 05:27:08 UTC", description: "Add `match_array` function", pr_number:                                                      7752, scopes: ["remap"], type:                        "enhancement", breaking_change: false, author: "Lee Benson", files_count:           5, insertions_count:    283, deletions_count:   2},
		{sha: "1ccb2144264948a456e8ba304447a09c9e164c72", date: "2021-06-05 01:51:30 UTC", description: "Add concurrency support", pr_number:                                                         7712, scopes: ["aws_s3 source"], type:                "enhancement", breaking_change: false, author: "Toby Lawrence", files_count:        3, insertions_count:    121, deletions_count:   61},
		{sha: "bf2eeeab623b1cfeae2e4a27ebf653ebf1805d36", date: "2021-06-04 22:54:49 UTC", description: "Bump semver from 1.0.2 to 1.0.3", pr_number:                                                 7749, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    4, deletions_count:     4},
		{sha: "40f18ff839b6307ef767fc1fc843185e0b7219b0", date: "2021-06-05 01:02:18 UTC", description: "Fix aws_s3 source integration tests", pr_number:                                             7761, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        2, insertions_count:    17, deletions_count:    2},
		{sha: "1a260991ece81fb3435510b2a279ff941d112556", date: "2021-06-05 02:09:40 UTC", description: "Make metric data private", pr_number:                                                        7746, scopes: ["metrics"], type:                      "chore", breaking_change:       false, author: "Bruce Guenter", files_count:        37, insertions_count:   435, deletions_count:   357},
		{sha: "1b6097c92d204e9db891b233e6534463ffb6d1fb", date: "2021-06-05 02:51:12 UTC", description: "Bump mongodb from 2.0.0-beta to 2.0.0-beta.1", pr_number:                                    7754, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    16, deletions_count:    7},
		{sha: "ca87f05665110f10b97953e5b2b59e7a68eedab5", date: "2021-06-05 02:51:25 UTC", description: "Bump approx from 0.4.0 to 0.5.0", pr_number:                                                 7713, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "63afa786c247a0ae899aeacb75134f19b6b81b33", date: "2021-06-05 03:09:05 UTC", description: "Bump assert_cmd from 1.0.4 to 1.0.5", pr_number:                                             7748, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "97c922078e86e35c25ff8ba307656994bd35931f", date: "2021-06-05 06:25:32 UTC", description: "Ensure that tracing output is captured", pr_number:                                          7764, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    13, deletions_count:    0},
		{sha: "54fca793e567aaac365e8a0b121b802fac3eed85", date: "2021-06-05 07:05:17 UTC", description: "Move `VectorSink`, `StreamSink` into core", pr_number:                                       7762, scopes: ["dev"], type:                          "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count:   6, insertions_count:    60, deletions_count:    43},
		{sha: "ba230d4d49a6a7cce41bf149b6c31af631a22914", date: "2021-06-08 05:10:33 UTC", description: "Kubernetes recommended labels and additional labels", pr_number:                             7687, scopes: ["helm platform"], type:                "enhancement", breaking_change: false, author: "Nicolas Lamirault", files_count:    11, insertions_count:   62, deletions_count:    0},
		{sha: "8efa3d1c0aa67a2e6d583980677c4c15406252d5", date: "2021-06-08 00:05:19 UTC", description: "Bump security-framework from 2.2.0 to 2.3.0", pr_number:                                     7770, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    5, deletions_count:     5},
		{sha: "b621929c3da74b25aebad9b3952fa7a2f47deb09", date: "2021-06-08 03:09:12 UTC", description: "Initial `dnstap` source", pr_number:                                                         6681, scopes: ["new source"], type:                   "feat", breaking_change:        false, author: "James Bai", files_count:            33, insertions_count:   7317, deletions_count:  24},
		{sha: "48862bf25efa632ae27b0aa956c8fa5f58e8817e", date: "2021-06-08 02:53:53 UTC", description: "Pin kafka version due to missing zstd support in latest", pr_number:                         7779, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    4, deletions_count:     2},
		{sha: "1408491b5fe336d68c5d057822fe6ad8fa467534", date: "2021-06-08 05:35:03 UTC", description: "New `fluent` source", pr_number:                                                             7548, scopes: ["new source"], type:                   "feat", breaking_change:        false, author: "Jesse Szwedko", files_count:        20, insertions_count:   1548, deletions_count:  150},
		{sha: "044ea3dc97ef20b8d6bfe944a4d73ca07108a060", date: "2021-06-08 22:50:40 UTC", description: "Bump security-framework from 2.3.0 to 2.3.1", pr_number:                                     7789, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "e1a600a90edcf240f543f2c37a9692453b78521d", date: "2021-06-08 22:51:10 UTC", description: "Bump rust_decimal from 1.14.1 to 1.14.2", pr_number:                                         7790, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      1, insertions_count:    2, deletions_count:     2},
		{sha: "ba6090356c39767cb16e554915ab87eaabaeb136", date: "2021-06-08 23:58:37 UTC", description: "Warnings break build", pr_number:                                                            7734, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count:   4, insertions_count:    4, deletions_count:     0},
		{sha: "2abd4953bbe7a60caf57d7775f1c51803b81bd20", date: "2021-06-09 12:28:58 UTC", description: "New `datadog_events` sink", pr_number:                                                       7678, scopes: ["new sink"], type:                     "feat", breaking_change:        false, author: "Kruno Tomola Fabro", files_count:   10, insertions_count:   607, deletions_count:   23},
		{sha: "4613be00733d74cb230d3dc6fc53d09959eb5220", date: "2021-06-09 06:45:40 UTC", description: "Add support for `--config-dir` to read configuration from directories", pr_number:           7767, scopes: ["cli"], type:                          "feat", breaking_change:        false, author: "Jesse Szwedko", files_count:        12, insertions_count:   216, deletions_count:   57},
		{sha: "ac51c486f92243a9671a4b88c2daf879b5856638", date: "2021-06-09 21:41:43 UTC", description: "Add `x-forwarded-for` header support", pr_number:                                            7575, scopes: ["splunk_hec source"], type:            "enhancement", breaking_change: false, author: "Will Weber", files_count:           1, insertions_count:    136, deletions_count:   44},
		{sha: "ada709a7203e2c8238b200022cebc32fa639e5b9", date: "2021-06-10 06:15:12 UTC", description: "Log probable healthcheck as debug ", pr_number:                                              7807, scopes: ["observability"], type:                "chore", breaking_change:       false, author: "Kruno Tomola Fabro", files_count:   1, insertions_count:    16, deletions_count:    2},
		{sha: "9a6168894de871b84b0be5a47931f402b32e3603", date: "2021-06-10 09:15:44 UTC", description: "Batch events per request for v2", pr_number:                                                 7706, scopes: ["vector source", "vector sink"], type: "enhancement", breaking_change: false, author: "Jean Mertz", files_count:           3, insertions_count:    79, deletions_count:    71},
		{sha: "eb7007bc0827f3a3b23932d38d50daea1be93f5c", date: "2021-06-10 03:26:46 UTC", description: "Add tracking of workflow metrics for common workflows", pr_number:                           7811, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Toby Lawrence", files_count:        2, insertions_count:    33, deletions_count:    1},
		{sha: "dbe84cab216782848f33adfa1ad8635b873876b4", date: "2021-06-10 04:51:31 UTC", description: "Remove `warn` level internal_event", pr_number:                                              7812, scopes: ["dedupe transform"], type:             "enhancement", breaking_change: false, author: "Spencer Gilbert", files_count:      2, insertions_count:    1, deletions_count:     5},
		{sha: "c4c59d5455ce5defc09e99a7f0c0b7f17e663b1c", date: "2021-06-10 03:00:27 UTC", description: "Bump lalrpop-util from 0.19.5 to 0.19.6", pr_number:                                         7792, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "53f90065b36208f687ec159b7b7bd4829aa9867c", date: "2021-06-10 03:00:38 UTC", description: "Bump hyper from 0.14.8 to 0.14.9", pr_number:                                                7793, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    4, deletions_count:     4},
		{sha: "04e3adf0a0fe47428a530669e97879e75473ea55", date: "2021-06-10 23:21:46 UTC", description: "Bump lalrpop from 0.19.5 to 0.19.6", pr_number:                                              7817, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      1, insertions_count:    18, deletions_count:    7},
		{sha: "c6c72b434de1decdf72569f3aec66227de84a88c", date: "2021-06-10 23:22:06 UTC", description: "Bump libc from 0.2.95 to 0.2.96", pr_number:                                                 7818, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "ff25764153b408842e6d1b51a65ca6ecd393203f", date: "2021-06-11 00:52:06 UTC", description: "Bump itertools from 0.10.0 to 0.10.1", pr_number:                                            7825, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    6, deletions_count:     6},
		{sha: "91f8b4635037d4c3af5dc473ee557a961ef05056", date: "2021-06-11 00:52:37 UTC", description: "Bump crossterm from 0.19.0 to 0.20.0", pr_number:                                            7826, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    40, deletions_count:    4},
		{sha: "88c0b20611efd135edefcbbc4f39d4a1e9fba0ec", date: "2021-06-11 01:13:37 UTC", description: "Refresh team.cue file", pr_number:                                                           7741, scopes: [], type:                               "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:        1, insertions_count:    37, deletions_count:    29},
		{sha: "b011d5a3d02c55bda08320eb0e0fccf48ad4a3e8", date: "2021-06-11 01:37:20 UTC", description: "Upgrade curl-sys to 0.4.44+curl-7.77.0", pr_number:                                          7755, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    2, deletions_count:     2},
		{sha: "0672ff9cfdece09b17eb8c15747725f8b8a8ce21", date: "2021-06-11 01:37:29 UTC", description: "Update Cargo.lock files for wasm tests", pr_number:                                          7780, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        7, insertions_count:    176, deletions_count:   91},
		{sha: "37711124cb8abaffe193eb6b7f2602a6aed894b4", date: "2021-06-11 03:43:10 UTC", description: "Bump tokio from 1.5.0 to 1.6.1", pr_number:                                                  7685, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      9, insertions_count:    12, deletions_count:    11},
		{sha: "2534aa514d7ad01c76257a97bbdea4daf55ee6ef", date: "2021-06-11 03:55:49 UTC", description: "Refactor internal_logs tests to not be flakey", pr_number:                                   7516, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    27, deletions_count:    36},
		{sha: "37fef6db4ef27b3307a2252f3231a52f5b0f5d7d", date: "2021-06-11 12:57:08 UTC", description: "Remove NAMESPACE from Contributing.md", pr_number:                                           7830, scopes: [], type:                               "docs", breaking_change:        false, author: "Stephen Wakely", files_count:       1, insertions_count:    0, deletions_count:     3},
		{sha: "6eb012553fbf0584982cb1cb584d2474819faac9", date: "2021-06-11 06:14:36 UTC", description: "Add extrepo as option for apt installation", pr_number:                                      7834, scopes: ["setup"], type:                        "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:        1, insertions_count:    7, deletions_count:     0},
		{sha: "51b882b5a7cfb6a2d9463a7011e23bb8b7c46a28", date: "2021-06-11 22:10:16 UTC", description: "Add support for tempalting the bulk action", pr_number:                                      7805, scopes: ["elasticsearch sink"], type:           "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:       2, insertions_count:    91, deletions_count:    20},
		{sha: "b03b2ddb61ada7c960c6922b23345ccc55662474", date: "2021-06-11 21:28:46 UTC", description: "Bump anyhow from 1.0.40 to 1.0.41", pr_number:                                               7835, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      4, insertions_count:    5, deletions_count:     5},
		{sha: "288405a480da1f9c55263c91f0a26e6f6c2a512e", date: "2021-06-12 06:34:45 UTC", description: "Create affinity pod in separate namespace for k8s tests", pr_number:                         7831, scopes: ["tests"], type:                        "enhancement", breaking_change: false, author: "Stephen Wakely", files_count:       1, insertions_count:    16, deletions_count:    7},
		{sha: "89a67d2257888ec123719e017c9596236f33f2d6", date: "2021-06-12 09:22:38 UTC", description: "Support older `make` version", pr_number:                                                    7844, scopes: ["dev"], type:                          "chore", breaking_change:       false, author: "Pierre Rognant", files_count:       1, insertions_count:    10, deletions_count:    8},
		{sha: "331c3a4f0a81dd60f38576a651d5844731f0c167", date: "2021-06-12 03:53:40 UTC", description: "Update tested Kubernetes versions", pr_number:                                               7798, scopes: ["ci"], type:                           "chore", breaking_change:       true, author:  "Spencer Gilbert", files_count:      4, insertions_count:    4, deletions_count:     5},
		{sha: "e50793ba6dc28842c574d9069477201c7d7e6217", date: "2021-06-12 09:20:16 UTC", description: "Cleanup vector data directory after running k8s tests", pr_number:                           7841, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Stephen Wakely", files_count:       6, insertions_count:    117, deletions_count:   24},
		{sha: "e147113ba80de377b288d0f05ca253d58b3dc3dd", date: "2021-06-12 05:23:21 UTC", description: "Use sccache for benchmarks", pr_number:                                                      7781, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Toby Lawrence", files_count:        10, insertions_count:   119, deletions_count:   81},
		{sha: "f1276551be68cf2b3b5bf1d9465c455c9ab00b92", date: "2021-06-12 02:37:51 UTC", description: "Correct default max_bytes", pr_number:                                                       7845, scopes: ["http sink", "clickhouse sink"], type: "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:        2, insertions_count:    2, deletions_count:     2},
		{sha: "71f28e952714efe56d811698c1534dae096b93cf", date: "2021-06-14 23:20:28 UTC", description: "Fix type handling for and/or expressions that can error", pr_number:                         7848, scopes: ["remap"], type:                        "fix", breaking_change:         false, author: "Stephen Wakely", files_count:       5, insertions_count:    89, deletions_count:    2},
		{sha: "7c0d581f03fa48e472c19f3ccf5897f6725677a0", date: "2021-06-15 05:49:55 UTC", description: "Parse nginx logs with and without referrer", pr_number:                                      7852, scopes: ["remap"], type:                        "fix", breaking_change:         false, author: "Jérémie Drouet", files_count:       2, insertions_count:    54, deletions_count:    10},
		{sha: "9d1b1cc673f020714878fe6d35a65c7051d9507d", date: "2021-06-15 01:12:52 UTC", description: "Allow enabling `input_format_skip_unknown_fields`", pr_number:                               7847, scopes: ["clickhouse sink"], type:              "enhancement", breaking_change: false, author: "Spencer Gilbert", files_count:      2, insertions_count:    75, deletions_count:    4},
		{sha: "86060389b05fd1767bd11e8d0a7c06f07c34897b", date: "2021-06-14 22:56:19 UTC", description: "Bump libc from 0.2.96 to 0.2.97", pr_number:                                                 7849, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "1a8c6b29bf24ff3ce6ad2ea81287ab041842a312", date: "2021-06-14 22:56:56 UTC", description: "Bump rmp-serde from 0.15.4 to 0.15.5", pr_number:                                            7850, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "79552540f1a7c8bf1bf5bd39c463b11170e97912", date: "2021-06-14 22:57:32 UTC", description: "Bump env_logger from 0.8.3 to 0.8.4", pr_number:                                             7851, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      1, insertions_count:    4, deletions_count:     4},
		{sha: "aca912d3d08ab73a0a6704ca1634cb396fc38de3", date: "2021-06-15 05:25:18 UTC", description: "Adds tests for checkpointing regressions in k8s", pr_number:                                 6564, scopes: ["kubernetes_logs source"], type:       "chore", breaking_change:       false, author: "Ian Henry", files_count:            4, insertions_count:    174, deletions_count:   2},
		{sha: "b2b7eb80a900b64fbe2b1ffba11a5f965240dc62", date: "2021-06-15 09:04:40 UTC", description: "Initial work on new transform benchmarks", pr_number:                                        7783, scopes: ["performance"], type:                  "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count:   10, insertions_count:   466, deletions_count:   42},
		{sha: "88cc40c483d199866847fa39ddb435e22c0253b0", date: "2021-06-15 23:50:01 UTC", description: "K8s e2e tests script minor improvements", pr_number:                                         7853, scopes: ["dev"], type:                          "enhancement", breaking_change: false, author: "Pierre Rognant", files_count:       3, insertions_count:    24, deletions_count:    16},
		{sha: "6f278a76ff32356e03d063ab4c55aee8ded4b461", date: "2021-06-15 23:26:19 UTC", description: "Speed up local release builds for testing", pr_number:                                       7855, scopes: ["dev"], type:                          "chore", breaking_change:       false, author: "Toby Lawrence", files_count:        6, insertions_count:    33, deletions_count:    6},
		{sha: "30a15f6849b66c60b042afa3f63dfd5b1a97ac74", date: "2021-06-16 00:34:19 UTC", description: "Add docs about using sccache locally", pr_number:                                            7861, scopes: ["dev"], type:                          "chore", breaking_change:       false, author: "Toby Lawrence", files_count:        1, insertions_count:    24, deletions_count:    0},
		{sha: "4623c43876bf2ac7c615612d3b318abf3db85a5d", date: "2021-06-16 04:02:58 UTC", description: "Remove grub installation from Ubuntu bootstraping", pr_number:                               7865, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    0, deletions_count:     3},
		{sha: "263069a15cede606d0cbe39ef3dc0edcb2c5232d", date: "2021-06-16 08:11:50 UTC", description: "Start tracking workflow metrics for baseline timings", pr_number:                            7869, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Toby Lawrence", files_count:        1, insertions_count:    1, deletions_count:     0},
		{sha: "d4ca1145e7312cf2d5ca50704b655fbb94a8b7aa", date: "2021-06-16 06:40:36 UTC", description: "Install rustup when creating docker environment", pr_number:                                 7871, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        3, insertions_count:    11, deletions_count:    2},
		{sha: "31ca838aad5be9061a1b8eb74fc7eede76867f7f", date: "2021-06-16 23:47:01 UTC", description: "Add first-class support for data streams", pr_number:                                        7774, scopes: ["elasticsearch sink"], type:           "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:       3, insertions_count:    613, deletions_count:   103},
		{sha: "92974136e238175bdbd4f35752e71b1982b34617", date: "2021-06-16 20:55:22 UTC", description: "Default encoding field to json", pr_number:                                                  7870, scopes: ["new_relic_logs sink"], type:          "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:        2, insertions_count:    29, deletions_count:    7},
		{sha: "ffae9eae1e54279e02aa4da8ea39d88b2532243e", date: "2021-06-16 23:24:38 UTC", description: "Move region documentation to correct file", pr_number:                                       7887, scopes: ["new_relic_logs sink"], type:          "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:        2, insertions_count:    15, deletions_count:    15},
		{sha: "92c163df5a51e041695e7afafbaea829bbcae67e", date: "2021-06-16 23:32:58 UTC", description: "Bump rand_distr from 0.4.0 to 0.4.1", pr_number:                                             7876, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "e4b142d6de01a7189419c8e17548e7aa27e4d328", date: "2021-06-17 00:21:21 UTC", description: "Do not login for publish-new-environment on PRs", pr_number:                                 7888, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    1, deletions_count:     0},
		{sha: "024f758fe89cae2f8eaee0ae7b527bcf71eef757", date: "2021-06-17 01:22:07 UTC", description: "Add acknowledgements support", pr_number:                                                    7677, scopes: ["kafka sink"], type:                   "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:        2, insertions_count:    48, deletions_count:    21},
		{sha: "0a34989eae9b952d0d3bc45b5a0b4e18d4436bac", date: "2021-06-17 00:55:36 UTC", description: "Add assert_eq! function", pr_number:                                                         7866, scopes: ["remap"], type:                        "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        4, insertions_count:    142, deletions_count:   0},
		{sha: "56619b87eaadf69276530df9bff40d895445c604", date: "2021-06-17 02:50:32 UTC", description: "Remove `--nocapture` from integration tests", pr_number:                                     7894, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    19, deletions_count:    19},
		{sha: "6197f84a72eb28d4ee1c1e7cf0577f347fc7695c", date: "2021-06-17 07:59:29 UTC", description: "Fix 'Modify metric tags' example", pr_number:                                                7882, scopes: ["remap"], type:                        "docs", breaking_change:        false, author: "Spencer Gilbert", files_count:      1, insertions_count:    6, deletions_count:     6},
		{sha: "6598809323fd28613c10478b24add3eb00de445d", date: "2021-06-17 05:51:21 UTC", description: "Allow wildcards anywhere in input identifiers", pr_number:                                   7873, scopes: ["config"], type:                       "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        3, insertions_count:    41, deletions_count:    21},
		{sha: "c68ad03274b61a155fd64325375dd94740f1f3a1", date: "2021-06-17 06:01:48 UTC", description: "Bump rand from 0.8.3 to 0.8.4", pr_number:                                                   7877, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      4, insertions_count:    19, deletions_count:    19},
		{sha: "b13866ecaa5b3cbcd2c15c60e3315136b40127a3", date: "2021-06-17 06:17:46 UTC", description: "Build a fat release binary", pr_number:                                                      7895, scopes: [], type:                               "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count:   2, insertions_count:    37, deletions_count:    2},
		{sha: "2a9f4aca0f78f948698731c68922ef236a14d396", date: "2021-06-17 07:20:28 UTC", description: "Add logstash source", pr_number:                                                             7857, scopes: ["new source"], type:                   "feat", breaking_change:        false, author: "Jesse Szwedko", files_count:        14, insertions_count:   1295, deletions_count:  60},
		{sha: "41409e7b6d1049491e1c591cbea6ba3b49222ed6", date: "2021-06-17 11:00:00 UTC", description: "Fix k8s checkpointing test", pr_number:                                                      7897, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Spencer Gilbert", files_count:      1, insertions_count:    4, deletions_count:     0},
		{sha: "0e72ad4e2f294fc945be1c4c5d6af1c9cf1742eb", date: "2021-06-18 05:41:43 UTC", description: "Reintroduce data stream support", pr_number:                                                 7903, scopes: ["elasticsearch sink"], type:           "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:       3, insertions_count:    720, deletions_count:   139},
		{sha: "7fcf62ec4ded94f91c59504083c6d6c91156dc26", date: "2021-06-18 06:57:13 UTC", description: "Split up module", pr_number:                                                                 7905, scopes: ["elasticsearch sink"], type:           "chore", breaking_change:       false, author: "Jérémie Drouet", files_count:       2, insertions_count:    139, deletions_count:   104},
		{sha: "89acfd97a9e07787328d5cf481c4689a490ccfec", date: "2021-06-18 01:14:58 UTC", description: "Fix logstash integration test", pr_number:                                                   7910, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    7, deletions_count:     0},
		{sha: "da8f825e65e0afd654956ad7e7ad500bff53d793", date: "2021-06-18 10:17:42 UTC", description: "Add metricRelabelings for Prometheus PodMonitor", pr_number:                                 7914, scopes: ["helm platform"], type:                "enhancement", breaking_change: false, author: "Jan Möller", files_count:           3, insertions_count:    8, deletions_count:     0},
		{sha: "bbcf9c52ac4a14b82845616a4b7e9717baa2e2f4", date: "2021-06-18 11:00:05 UTC", description: "Add `binary` encoding support for http source", pr_number:                                   7859, scopes: ["http source"], type:                  "enhancement", breaking_change: false, author: "tombokombo", files_count:           3, insertions_count:    37, deletions_count:    0},
		{sha: "02d9a5dd875a7c1ace742249512d14d1f955f74e", date: "2021-06-18 11:04:00 UTC", description: "fix link to CUE", pr_number:                                                                 7916, scopes: [], type:                               "docs", breaking_change:        false, author: "Tshepang Lekhonkhobe", files_count: 1, insertions_count:    1, deletions_count:     1},
		{sha: "9f34295123484ff2a262ce922a111c2c9652372a", date: "2021-06-18 03:49:53 UTC", description: "Add support for acknowledgements", pr_number:                                                7816, scopes: ["file source"], type:                  "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:        8, insertions_count:    599, deletions_count:   582},
		{sha: "32c3dc69691c3b7a2bbf86f39e1628987ccb8992", date: "2021-06-18 09:59:20 UTC", description: "Bump k8s-openapi from 0.11.0 to 0.12.0", pr_number:                                          7889, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      10, insertions_count:   146, deletions_count:   174},
		{sha: "74f89f25f2761645fa035e9358a852ffb815f25e", date: "2021-06-18 03:10:06 UTC", description: "Accept remap conditions", pr_number:                                                         7864, scopes: ["sample transform"], type:             "fix", breaking_change:         true, author:  "Jesse Szwedko", files_count:        3, insertions_count:    57, deletions_count:    35},
		{sha: "4d8927099d740b86eeae9996d83958aa9c0a7a96", date: "2021-06-18 06:44:34 UTC", description: "Fix flakey pulsar integration test", pr_number:                                              7918, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Spencer Gilbert", files_count:      2, insertions_count:    5, deletions_count:     1},
		{sha: "7755d41698917a2b52de179f87023499c2fe52be", date: "2021-06-18 13:59:20 UTC", description: "Typo", pr_number:                                                                            7921, scopes: [], type:                               "docs", breaking_change:        false, author: "Tshepang Lekhonkhobe", files_count: 1, insertions_count:    1, deletions_count:     1},
		{sha: "380db7308d57e964644e699539b5f8a28f36e1b7", date: "2021-06-18 07:05:22 UTC", description: "Move where the `DEBUG` info is sensed during builds", pr_number:                             7924, scopes: ["releasing"], type:                    "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        4, insertions_count:    15, deletions_count:    9},
		{sha: "08dce033dad9c76ed46a95fbf5e54f7d59f4b71e", date: "2021-06-18 23:58:07 UTC", description: "Define type def object and array inner type", pr_number:                                     7692, scopes: ["remap"], type:                        "chore", breaking_change:       false, author: "Jérémie Drouet", files_count:       1, insertions_count:    32, deletions_count:    20},
		{sha: "e7201bef811d1c579f5819045444fd39d7b6392a", date: "2021-06-19 00:08:14 UTC", description: "Add `datadog_events` sink", pr_number:                                                       7678, scopes: ["new sink"], type:                     "feat", breaking_change:        false, author: "GitHub", files_count:               1, insertions_count:    1, deletions_count:     2},
		{sha: "9238f118a7f10524c03e2eb808ff7082ba7f826b", date: "2021-06-19 00:14:02 UTC", description: "Add missing HTTP metrics to internal_metrics docs", pr_number:                               7927, scopes: ["observability"], type:                "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:        1, insertions_count:    29, deletions_count:    3},
		{sha: "15d156d6e4f176bc2318a67dc5e47c1d00879442", date: "2021-06-19 00:17:14 UTC", description: "Add `datadog_events` sink", pr_number:                                                       7678, scopes: ["new sink"], type:                     "feat", breaking_change:        false, author: "GitHub", files_count:               1, insertions_count:    1, deletions_count:     0},
		{sha: "2e5cb6491feca6b8fbb56abe682c202e6b9c1f7f", date: "2021-06-19 00:51:11 UTC", description: "Rename `remap` to `vrl` for condition types", pr_number:                                     7928, scopes: ["config"], type:                       "chore", breaking_change:       true, author:  "Jesse Szwedko", files_count:        31, insertions_count:   223, deletions_count:   219},
		{sha: "afe9b11eeeef3bfc9eeefacc0f04f382fec2c27e", date: "2021-06-19 11:14:17 UTC", description: "handle starting message from nginx", pr_number:                                              7930, scopes: ["remap"], type:                        "fix", breaking_change:         false, author: "Jérémie Drouet", files_count:       2, insertions_count:    22, deletions_count:    7},
		{sha: "37e06de830377f1ded73d70014f099ae487ad6da", date: "2021-06-19 05:44:19 UTC", description: "Add flag to send tracing spans to Datadog APM", pr_number:                                   7929, scopes: ["observability"], type:                "enhancement", breaking_change: false, author: "Luke Steensen", files_count:        11, insertions_count:   158, deletions_count:   11},
		{sha: "8811a0f6b4a65dc62112c4107355d4a4a382cf0c", date: "2021-06-20 07:30:05 UTC", description: "Document credential expiration behavior", pr_number:                                         7885, scopes: ["aws service"], type:                  "docs", breaking_change:        false, author: "Kruno Tomola Fabro", files_count:   1, insertions_count:    2, deletions_count:     0},
		{sha: "52e2444b72aa51d4af629c06c3892a48c6d8a3f9", date: "2021-06-22 01:50:12 UTC", description: "Configure a HAProxy for load balancing the aggregator", pr_number:                           7782, scopes: ["helm platform"], type:                "enhancement", breaking_change: false, author: "Spencer Gilbert", files_count:      18, insertions_count:   710, deletions_count:   2},
		{sha: "a3adbf73c4debaeecbef75ff230e25917d6704d2", date: "2021-06-21 23:39:57 UTC", description: "Bump stream-cancel from 0.8.0 to 0.8.1", pr_number:                                          7946, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "635ea82d70aa89249ef0af61e9bfb65383cf3aea", date: "2021-06-21 23:40:15 UTC", description: "Bump rust_decimal from 1.14.2 to 1.14.3", pr_number:                                         7947, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      1, insertions_count:    2, deletions_count:     2},
		{sha: "444a16630d757d702ab1881f44352e8e685e06db", date: "2021-06-22 00:00:28 UTC", description: "Send `content_md5` when writing objects to work with S3 object locking", pr_number:          7936, scopes: ["aws_s3 source"], type:                "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        3, insertions_count:    104, deletions_count:   32},
		{sha: "8b18884403ad53f70b42f380e35956fdb94895df", date: "2021-06-22 09:18:33 UTC", description: "Add standalone key support for `parse_key_value`", pr_number:                                7907, scopes: ["remap"], type:                        "enhancement", breaking_change: false, author: "Pierre Rognant", files_count:       6, insertions_count:    152, deletions_count:   22},
		{sha: "fc169fe417601a8be68386945283fd9f15daa132", date: "2021-06-22 00:40:12 UTC", description: "Fix k8s e2e line assertion", pr_number:                                                      7953, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    2, deletions_count:     1},
		{sha: "928439398f3cc078562b0734ac780b785da1fdf8", date: "2021-06-22 08:15:25 UTC", description: "Bump Ilshidur/action-discord from 0.3.0 to 0.3.2", pr_number:                                7960, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      7, insertions_count:    7, deletions_count:     7},
		{sha: "701c64dfef6e7b9cecc018cc42c1b379b0470072", date: "2021-06-22 01:22:47 UTC", description: "Add `decode_percent` and `encode_percent` functions", pr_number:                             7937, scopes: ["vrl"], type:                          "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        9, insertions_count:    406, deletions_count:   0},
		{sha: "4069997256539278ec1ba07b080270b89e641dce", date: "2021-06-22 06:13:11 UTC", description: "Force stop sccache before attempting to start it", pr_number:                                7962, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Toby Lawrence", files_count:        3, insertions_count:    21, deletions_count:    1},
		{sha: "f57d8393512f41143e835acc78c1fe0b2f89499b", date: "2021-06-22 07:20:14 UTC", description: "Fix missing labels for s3 source metrics", pr_number:                                        7967, scopes: ["aws_s3 source"], type:                "fix", breaking_change:         false, author: "Toby Lawrence", files_count:        1, insertions_count:    3, deletions_count:     1},
		{sha: "798f5ea7243c211687fe5bbaa142d3e981bea81a", date: "2021-06-22 05:26:38 UTC", description: "Bump openssl from 0.10.34 to 0.10.35", pr_number:                                            7959, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    5, deletions_count:     5},
		{sha: "10e81483e55a99e83df4a24691bc303faf52d489", date: "2021-06-22 05:47:16 UTC", description: "Upgrade to Rust 1.53", pr_number:                                                            7968, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        92, insertions_count:   368, deletions_count:   394},
		{sha: "45507f96db02ad740df364a06c3671fe82c99d5a", date: "2021-06-23 00:49:57 UTC", description: "Add `encode_key_value` function", pr_number:                                                 7751, scopes: ["vrl"], type:                          "enhancement", breaking_change: false, author: "Pierre Rognant", files_count:       8, insertions_count:    519, deletions_count:   269},
		{sha: "9daa0bdcfb693cf965d909f032c260feed39c911", date: "2021-06-23 04:23:27 UTC", description: "Add support standalone for standalone key encoding in `encode_key_value`", pr_number:        7951, scopes: ["vrl"], type:                          "enhancement", breaking_change: false, author: "Pierre Rognant", files_count:       3, insertions_count:    109, deletions_count:   9},
		{sha: "d87247d6eacb6d5691bc7f3de6b33336b3e21d36", date: "2021-06-23 06:04:32 UTC", description: "Add new filter, `datadog_search`, condition type", pr_number:                                7837, scopes: ["transforms"], type:                   "enhancement", breaking_change: false, author: "Lee Benson", files_count:           18, insertions_count:   3106, deletions_count:  7},
		{sha: "fd01b9d1addae8c1d32b59c626091b77507f0d71", date: "2021-06-22 22:34:12 UTC", description: "Bump atomig from 0.2.0 to 0.3.1", pr_number:                                                 7958, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "8e0373f68c3f0959ba52179f300ba6cbe39e812b", date: "2021-06-22 22:43:28 UTC", description: "Bump pulsar from 2.0.1 to 3.0.0", pr_number:                                                 7493, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "832efd4012a73d479cbb9543fbc225c66754a714", date: "2021-06-22 22:43:52 UTC", description: "Bump trust-dns-proto from 0.20.0 to 0.20.3", pr_number:                                      7788, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    28, deletions_count:    12},
		{sha: "f4be37527989f5cbf8501a0433980a0e2cabcc34", date: "2021-06-23 08:13:43 UTC", description: "Add `fingerprint.lines` option to use multiple lines to calculate fingeprints", pr_number:   7940, scopes: ["file source"], type:                  "enhancement", breaking_change: false, author: "Kruno Tomola Fabro", files_count:   6, insertions_count:    127, deletions_count:   26},
		{sha: "2196eb36571248196306b786068bec0444085b66", date: "2021-06-23 08:32:35 UTC", description: "Accept standalone key in `parse_logfmt` + minor related fix", pr_number:                     7977, scopes: ["vrl"], type:                          "enhancement", breaking_change: false, author: "Pierre Rognant", files_count:       2, insertions_count:    54, deletions_count:    8},
		{sha: "98f6b5ffb4fc8dfdeba04e7aa3f99942eca922c4", date: "2021-06-23 01:31:25 UTC", description: "Bump reqwest from 0.11.3 to 0.11.4", pr_number:                                              7983, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      4, insertions_count:    5, deletions_count:     5},
		{sha: "cea8c6df0bfd8f0da1c7deb0f7993082ef7d5f3c", date: "2021-06-23 01:34:53 UTC", description: "Bump tokio-openssl from 0.6.1 to 0.6.2", pr_number:                                          7985, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    4, deletions_count:     4},
		{sha: "7ac33e2ac32f78e87380fafc4842bf5840a8849a", date: "2021-06-23 02:40:03 UTC", description: "Revert glob minimum cooldown to 60s", pr_number:                                             7980, scopes: ["kubernetes_logs source"], type:       "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        2, insertions_count:    2, deletions_count:     2},
		{sha: "1adc2810b9f864e97691d78bb77a8be210045663", date: "2021-06-23 03:59:14 UTC", description: "Drop impl AtomInteger from status types", pr_number:                                         7989, scopes: ["data model"], type:                   "chore", breaking_change:       false, author: "Bruce Guenter", files_count:        1, insertions_count:    1, deletions_count:     9},
		{sha: "473b642d9381f8bcd1b95800202807d7aa73766c", date: "2021-06-23 04:00:25 UTC", description: "Add support for acknowledgements", pr_number:                                                7787, scopes: ["kafka source"], type:                 "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:        3, insertions_count:    160, deletions_count:   85},
		{sha: "e6d279ea769cd01d2d0c09bc1e7e86059b0eef7b", date: "2021-06-23 12:19:45 UTC", description: "Bump tokio from 1.6.1 to 1.6.2", pr_number:                                                  7858, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      10, insertions_count:   12, deletions_count:    13},
		{sha: "fea8d4560c217406f261f5fe31c477cad9e9d32e", date: "2021-06-23 05:59:51 UTC", description: "Flag src/service.rs as Windows-only", pr_number:                                             7994, scopes: ["dev"], type:                          "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        2, insertions_count:    1, deletions_count:     7},
		{sha: "31d21c80e6e31ddf0bbf3a175fad26ce251c325e", date: "2021-06-23 13:28:36 UTC", description: "Bump tokio from 1.6.2 to 1.7.1", pr_number:                                                  7995, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      8, insertions_count:    10, deletions_count:    10},
		{sha: "35bfce11a6768cdb8e0b5e41775753c106baa2a8", date: "2021-06-23 06:34:30 UTC", description: "Bump bollard from 0.10.1 to 0.11.0", pr_number:                                              7984, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    8, deletions_count:     8},
		{sha: "9165779b7899198040bb56899edbd0432b3ed7b8", date: "2021-06-24 07:29:16 UTC", description: "Add option to deploy Topology-aware service", pr_number:                                     7950, scopes: ["helm platform"], type:                "enhancement", breaking_change: false, author: "Michal Muransky", files_count:      2, insertions_count:    34, deletions_count:    0},
		{sha: "ea77790e3f973a528c55011f99012bfadf530c9a", date: "2021-06-24 03:49:03 UTC", description: "Batch SQS deletes to improve throughput", pr_number:                                         7992, scopes: ["aws_s3 source"], type:                "enhancement", breaking_change: false, author: "Toby Lawrence", files_count:        2, insertions_count:    96, deletions_count:    43},
		{sha: "92b10b01300fcfd06b4cfdf76ed1b773de3fcc8e", date: "2021-06-24 01:38:02 UTC", description: "Bump docker/login-action from 1.9.0 to 1.10.0", pr_number:                                   8005, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      3, insertions_count:    3, deletions_count:     3},
		{sha: "f65cab9e4dbc1c3c0f6855d3f0567be424104552", date: "2021-06-24 04:52:42 UTC", description: "Glob faster in checkpoint test", pr_number:                                                  8006, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Spencer Gilbert", files_count:      1, insertions_count:    6, deletions_count:     0},
		{sha: "e55a9570247397ac8ff52d0826249f4c087059c4", date: "2021-06-24 02:26:28 UTC", description: "Re-add named pipe support on Windows", pr_number:                                            7996, scopes: ["docker_logs source"], type:           "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        1, insertions_count:    1, deletions_count:     12},
		{sha: "831cdf9c93722f2b4dba35db10d929e016e3749c", date: "2021-06-24 07:21:04 UTC", description: "Add missing tracing context on HTTP client metrics", pr_number:                              8007, scopes: ["observability"], type:                "fix", breaking_change:         false, author: "Toby Lawrence", files_count:        1, insertions_count:    4, deletions_count:     12},
		{sha: "80680993da890294b9a93fc5ff176e20ea55e9ac", date: "2021-06-24 08:48:36 UTC", description: "Add needed shutdown to file rotation test", pr_number:                                       8010, scopes: ["file source"], type:                  "chore", breaking_change:       false, author: "Bruce Guenter", files_count:        1, insertions_count:    1, deletions_count:     1},
		{sha: "23ec499ea70a9691a93aca6dcf18f7763c2cd3da", date: "2021-06-24 10:19:30 UTC", description: "Temporarily ignore checkpoint test", pr_number:                                              8015, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    1, deletions_count:     0},
		{sha: "a4c208286a10b117679fb198ffff993477887b81", date: "2021-06-25 10:35:01 UTC", description: "Disable sending key when no `key_field` configured", pr_number:                              7860, scopes: ["kafka sink"], type:                   "enhancement", breaking_change: false, author: "tombokombo", files_count:           2, insertions_count:    10, deletions_count:    3},
		{sha: "e8856643166612069a02473de50f14faca3540f5", date: "2021-06-25 11:04:25 UTC", description: "Manage timeouts in multiline better", pr_number:                                             7944, scopes: ["processing"], type:                   "fix", breaking_change:         false, author: "Kruno Tomola Fabro", files_count:   2, insertions_count:    100, deletions_count:   65},
		{sha: "3c34109d28688c79ea6ebcdee53413e03b0a08e4", date: "2021-06-25 03:15:30 UTC", description: "Don't crash on out-of-order histograms ", pr_number:                                         8013, scopes: ["prometheus_scrape source"], type:     "fix", breaking_change:         false, author: "Bruce Guenter", files_count:        2, insertions_count:    58, deletions_count:    3},
		{sha: "b708ba324a587f88b4c390b6157f13df9a7719b4", date: "2021-06-25 05:01:58 UTC", description: "Make k8s e2e workflow build faster", pr_number:                                              8026, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        2, insertions_count:    6, deletions_count:     0},
		{sha: "e49acb002f4a17f911f3f4c8d76c038ab85c6366", date: "2021-06-25 06:14:26 UTC", description: "Get `./scripts/skaffold.sh` working on OSX", pr_number:                                      8022, scopes: ["dev"], type:                          "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        3, insertions_count:    11, deletions_count:    6},
		{sha: "7c648d5498d969ba314f9f9ccc5671b4cd515c37", date: "2021-06-25 06:15:22 UTC", description: "Lower glob_minimum_cooldown_ms for k8s e2e tests", pr_number:                                8024, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        8, insertions_count:    118, deletions_count:   97},
		{sha: "48e38e4580d6a2ce8b8281f661a117ec332260f4", date: "2021-06-25 09:21:59 UTC", description: "Fix config example for windows install", pr_number:                                          8031, scopes: ["setup"], type:                        "chore", breaking_change:       false, author: "Spencer Gilbert", files_count:      1, insertions_count:    5, deletions_count:     1},
		{sha: "ec04937a107c87f4f2cb5f1b25802cd8038cbe3f", date: "2021-06-25 09:59:05 UTC", description: "Emit component utilization as a metric", pr_number:                                          8028, scopes: ["observability"], type:                "enhancement", breaking_change: false, author: "Luke Steensen", files_count:        1, insertions_count:    4, deletions_count:     1},
		{sha: "9bf31f1062637ef082cd92d5b142b0a7d60b7869", date: "2021-06-25 08:03:54 UTC", description: "Update request defaults in docs", pr_number:                                                 8033, scopes: ["docs"], type:                         "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    7, deletions_count:     7},
		{sha: "d4503f8964aeb6b91345aa581924acbb03aab231", date: "2021-06-25 08:04:20 UTC", description: "Stop ignoring k8s e2e checkpointing test", pr_number:                                        8032, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    0, deletions_count:     1},
		{sha: "136cb6c7148a302c550254d7abb446ab121359f5", date: "2021-06-26 01:27:01 UTC", description: "Harden SystemD service", pr_number:                                                          6696, scopes: ["security"], type:                     "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        1, insertions_count:    32, deletions_count:    1},
		{sha: "a9e0122514cd70bd7bf8ad62fd1f5b3cea217787", date: "2021-06-26 11:10:08 UTC", description: "Option to add additional ports to the service in vector-agent helm chart", pr_number:        8021, scopes: ["helm platform"], type:                "enhancement", breaking_change: false, author: "Michal Muransky", files_count:      2, insertions_count:    18, deletions_count:    8},
		{sha: "5e2b21b911ef0e33facaef3e1e095170871528e2", date: "2021-06-26 11:34:20 UTC", description: "Add maxUnavailable for updateStrategy in vector-agent helm chart", pr_number:                8035, scopes: ["helm platform"], type:                "enhancement", breaking_change: false, author: "Michal Muransky", files_count:      6, insertions_count:    14, deletions_count:    1},
		{sha: "273e3e129c9419b79bfe7ea5ddfd16444167f46f", date: "2021-06-26 14:12:33 UTC", description: "New `azure_blob` sink", pr_number:                                                           6861, scopes: ["new sink"], type:                     "feat", breaking_change:        false, author: "Artem", files_count:                11, insertions_count:   1309, deletions_count:  47},
		{sha: "fe84032dfb1e8b1e048b86a0a20579e29e74cb09", date: "2021-06-26 04:55:11 UTC", description: "Aggregate transform to reduce metric volume maintaining data", pr_number:                    7846, scopes: ["new transform"], type:                "feat", breaking_change:        false, author: "Ross McFarland", files_count:       9, insertions_count:    839, deletions_count:   9},
		{sha: "edf8629eab0e1284da2fdda97a3e1ba5b3870e4e", date: "2021-06-26 05:04:20 UTC", description: "Remove checksum/config as it is invalid", pr_number:                                         8039, scopes: ["kubernetes platform"], type:          "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        8, insertions_count:    0, deletions_count:     18},
		{sha: "8cda492a32d66182871e1296b56aefffe836db29", date: "2021-06-26 06:20:48 UTC", description: "Add dummy job for cross matrix job", pr_number:                                              8043, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    10, deletions_count:    0},
		{sha: "1f9d1df7035621cfb5965c3dbf6223bdea9ad566", date: "2021-06-29 03:30:58 UTC", description: "Allow metrics to be sent", pr_number:                                                        7932, scopes: ["elasticsearch sink"], type:           "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:       4, insertions_count:    117, deletions_count:   46},
		{sha: "801c9c337c260598e0a1820f50aba2159491f01d", date: "2021-06-29 06:14:17 UTC", description: "Fix `parse_apache_log` to handle lack of thread id", pr_number:                              8053, scopes: ["remap"], type:                        "fix", breaking_change:         false, author: "Jérémie Drouet", files_count:       2, insertions_count:    21, deletions_count:    2},
		{sha: "d11a9bfdf873d854f43d80093843bab22e70a2ec", date: "2021-06-29 07:52:08 UTC", description: "`init_roots` on `build` to only output warnings when `host_metrics` is used", pr_number:     8054, scopes: ["host_metrics source"], type:          "fix", breaking_change:         false, author: "Kruno Tomola Fabro", files_count:   2, insertions_count:    29, deletions_count:    26},
		{sha: "02f14f96342e402095223220d39b4b94b0baf478", date: "2021-06-28 23:29:15 UTC", description: "Bump maxminddb from 0.18.0 to 0.19.0", pr_number:                                            8047, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "15c3876f95e3b7cd15d4a4b0c04c3f5b5c54d421", date: "2021-06-28 23:29:57 UTC", description: "Bump pulsar from 3.0.0 to 3.0.1", pr_number:                                                 8048, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    5, deletions_count:     20},
		{sha: "cf6b3d4729cc27fbd8c6f42c835dea18ea86c39d", date: "2021-06-28 23:30:33 UTC", description: "Bump once_cell from 1.7.2 to 1.8.0", pr_number:                                              8049, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      3, insertions_count:    4, deletions_count:     4},
		{sha: "9d8afbad3d8ae1b6293846436644eb491e07b6ca", date: "2021-06-28 23:30:59 UTC", description: "Bump test-case from 1.1.0 to 1.2.0", pr_number:                                              8050, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      1, insertions_count:    2, deletions_count:     2},
		{sha: "e22669fa3f55c08a11b8d49e178ebf6090890e6a", date: "2021-06-29 10:16:47 UTC", description: "Add `eventstoredb_metrics` source", pr_number:                                               6663, scopes: ["new source"], type:                   "feat", breaking_change:        false, author: "Yo Eight", files_count:             12, insertions_count:   692, deletions_count:   2},
		{sha: "564b5866c1826da62868c0d47a42708463875e60", date: "2021-06-29 01:53:32 UTC", description: "Avoid flattening objects", pr_number:                                                        8044, scopes: ["loki sink"], type:                    "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:        1, insertions_count:    34, deletions_count:    4},
		{sha: "3bcd44beafbc902a7b743d12543fd6816ba49331", date: "2021-06-29 01:59:17 UTC", description: "Fix make target for EventStoreDB integration tests", pr_number:                              8061, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    3, deletions_count:     3},
		{sha: "6cebf6607179d06d2a839f1c9cb682c1e2e08f27", date: "2021-06-29 02:37:31 UTC", description: "Bump mongodb from 2.0.0-beta.1 to 2.0.0-beta.2", pr_number:                                  8059, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    5, deletions_count:     5},
		{sha: "ebbc7adb46f9dfcc26901e4badee812865e38b94", date: "2021-06-29 02:56:05 UTC", description: "Bump tracing-subscriber from 0.2.18 to 0.2.19", pr_number:                                   8051, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      4, insertions_count:    5, deletions_count:     5},
		{sha: "02e880f3ba2f384f381fc26c9cff675be087ebce", date: "2021-06-29 03:11:43 UTC", description: "Add `ip_aton` and `ip_ntoa` functions", pr_number:                                           8042, scopes: ["vrl"], type:                          "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        8, insertions_count:    263, deletions_count:   0},
		{sha: "2b8fcd803805274876b79758ae025c03a4b0864a", date: "2021-06-29 06:48:16 UTC", description: "Refine Vector user for debian", pr_number:                                                   8064, scopes: ["releasing"], type:                    "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        2, insertions_count:    5, deletions_count:     3},
		{sha: "1ff5d96db9a4cb46c078dfa449b9c54c9442d83b", date: "2021-06-29 22:50:26 UTC", description: "Add `parse_xml` function", pr_number:                                                        8046, scopes: ["vrl"], type:                          "enhancement", breaking_change: false, author: "Lee Benson", files_count:           7, insertions_count:    774, deletions_count:   1},
		{sha: "0808a8a190240bbe2eade42a24e2688f2a8f7223", date: "2021-06-30 00:39:06 UTC", description: "Bump docker/setup-buildx-action from 1.3.0 to 1.4.1", pr_number:                             8072, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      3, insertions_count:    3, deletions_count:     3},
		{sha: "3f074daabd1c29e516174c527b8b7efe47d2670b", date: "2021-06-30 01:39:19 UTC", description: "Remove job and instance tags from internal_metrics", pr_number:                              8076, scopes: ["external docs"], type:                "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:        1, insertions_count:    10, deletions_count:    77},
		{sha: "b2992c94db6860b214082817d55779ebabed5e43", date: "2021-06-30 01:55:39 UTC", description: "Add `datadog_events` sink", pr_number:                                                       7678, scopes: ["new sink"], type:                     "feat", breaking_change:        false, author: "GitHub", files_count:               1, insertions_count:    3, deletions_count:     0},
		{sha: "2ff04036789d8f0c0a8890bd0fea4fee5dca9461", date: "2021-07-01 01:05:52 UTC", description: "Bump indexmap from 1.6.2 to 1.7.0", pr_number:                                               8084, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      5, insertions_count:    8, deletions_count:     14},
		{sha: "5d8c8268394822e6712e83102717dfc86e57300f", date: "2021-07-01 01:46:04 UTC", description: "Upgrade rusoto dependencies", pr_number:                                                     8090, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        2, insertions_count:    86, deletions_count:    50},
		{sha: "caee6b6e4feb540cb6cef54a8b1939216b044031", date: "2021-07-01 04:08:38 UTC", description: "add tokio feature to rdkafka to improve performance", pr_number:                             8092, scopes: ["kafka source"], type:                 "fix", breaking_change:         false, author: "Luke Steensen", files_count:        2, insertions_count:    2, deletions_count:     1},
		{sha: "99acfcb97e2d3c580264e51b61f358b6c161234c", date: "2021-07-01 02:46:44 UTC", description: "Resolve example.com instead of vector.dev for tests", pr_number:                             8094, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    2, deletions_count:     2},
		{sha: "3754e0973ef9cd989d1b1a965913d690bf5557cb", date: "2021-07-01 06:27:45 UTC", description: "Add package 'apt-utils' in docker image for dnstap integration test", pr_number:             8077, scopes: ["dnstap source"], type:                "fix", breaking_change:         false, author: "James Bai", files_count:            1, insertions_count:    5, deletions_count:     4},
		{sha: "c2de1fb913a7898f7cffd9ea1bf1a5ae5e387baf", date: "2021-07-01 03:29:19 UTC", description: "Bump syslog_loose from 0.10.0 to 0.11.0", pr_number:                                         8095, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      3, insertions_count:    4, deletions_count:     4},
		{sha: "a79527e9a3a2cceaa68f2d52771efd6fece2af98", date: "2021-07-01 08:03:28 UTC", description: "Glob uncompressed rotated log files", pr_number:                                             8040, scopes: ["kubernetes_logs source"], type:       "chore", breaking_change:       false, author: "Spencer Gilbert", files_count:      3, insertions_count:    128, deletions_count:   27},
		{sha: "9f8de00a4cff59e6875c542237e5535c927eb50b", date: "2021-07-01 20:03:38 UTC", description: "New `redis` sink", pr_number:                                                                7078, scopes: ["new sink"], type:                     "feat", breaking_change:        false, author: "舍我其谁", files_count:                 12, insertions_count:   953, deletions_count:   2},
		{sha: "a1543b36c8adff2c7760bf40621e21d827e42145", date: "2021-07-01 05:06:11 UTC", description: "Add `format_int` and `parse_int` functions", pr_number:                                      8078, scopes: ["vrl"], type:                          "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        7, insertions_count:    456, deletions_count:   0},
		{sha: "695e6f3cf3276ac80e8f2332d8bdba91845a5768", date: "2021-07-01 21:57:21 UTC", description: "Bump redis from 0.20.0 to 0.20.2", pr_number:                                                8098, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    6, deletions_count:     6},
		{sha: "4d68633a6d3bc9e4f520fc31d53b575cfe2b6d04", date: "2021-07-02 04:51:59 UTC", description: "Bump docker/build-push-action from 2.5.0 to 2.6.1", pr_number:                               8111, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      1, insertions_count:    2, deletions_count:     2},
		{sha: "0d39819c60a700921feee729dd517dd9110b010d", date: "2021-07-03 09:18:52 UTC", description: "Allow zero size compressed messages", pr_number:                                             8069, scopes: ["aws service"], type:                  "fix", breaking_change:         false, author: "Kruno Tomola Fabro", files_count:   4, insertions_count:    54, deletions_count:    8},
		{sha: "dc8ec8744282a44f14f141cba97f5f4a78d5fbce", date: "2021-07-03 01:55:35 UTC", description: "Bump assert_cmd from 1.0.5 to 1.0.6", pr_number:                                             8117, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "fa1aa77304d9a00184d4877bdbf8c28557072d27", date: "2021-07-03 01:56:35 UTC", description: "Bump docker/setup-buildx-action from 1.4.1 to 1.5.0", pr_number:                             8122, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      3, insertions_count:    3, deletions_count:     3},
		{sha: "cac40e10362ef13b687550a9148d918054e2fe71", date: "2021-07-06 05:16:29 UTC", description: "Expose `lines` option", pr_number:                                                           8091, scopes: ["kubernetes_logs source"], type:       "enhancement", breaking_change: false, author: "Kruno Tomola Fabro", files_count:   3, insertions_count:    29, deletions_count:    2},
		{sha: "30baaeb6bea77c37d60d34ee56860329e7e347f5", date: "2021-07-06 22:39:12 UTC", description: "Ensure `parse_syslog` handles non structured messages", pr_number:                           8102, scopes: ["vrl"], type:                          "fix", breaking_change:         false, author: "Jérémie Drouet", files_count:       1, insertions_count:    13, deletions_count:    0},
		{sha: "3f23f9f94dc66db3158183813fe1a049a7045e95", date: "2021-07-07 01:32:57 UTC", description: "RFC to update Vector configuration via Helm", pr_number:                                     8079, scopes: [], type:                               "chore", breaking_change:       false, author: "Spencer Gilbert", files_count:      1, insertions_count:    174, deletions_count:   0},
		{sha: "e43137efec9e1698db8bc3e63b03d2e787716ac9", date: "2021-07-07 08:03:44 UTC", description: "Replace `referrer` by `referer` on nginx parser", pr_number:                                 8086, scopes: ["vrl"], type:                          "fix", breaking_change:         false, author: "Jérémie Drouet", files_count:       2, insertions_count:    40, deletions_count:    28},
		{sha: "f1177b23d6e00643d3ca899172fc1108eb35f3da", date: "2021-07-07 00:19:55 UTC", description: "check_fields deprecation notice is incorrect", pr_number:                                    8132, scopes: ["unit tests"], type:                   "fix", breaking_change:         false, author: "Bruce Guenter", files_count:        1, insertions_count:    1, deletions_count:     1},
		{sha: "80df3ce2e370fd7bd660328d201ff8f8c50dfc5f", date: "2021-07-06 23:35:50 UTC", description: "Bump structopt from 0.3.21 to 0.3.22", pr_number:                                            8125, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    9, deletions_count:     9},
		{sha: "7516a1949282bd1f553b41eff0d6255781fe6477", date: "2021-07-06 23:37:29 UTC", description: "Bump prettydiff from 0.4.0 to 0.5.0", pr_number:                                             8126, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "bce3f76101a811ca248e7803ec22149368913922", date: "2021-07-06 23:38:16 UTC", description: "Bump assert_cmd from 1.0.6 to 1.0.7", pr_number:                                             8127, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    13, deletions_count:    6},
		{sha: "979be789a044b834a4320e0ac7057260de5f5ea4", date: "2021-07-06 23:39:49 UTC", description: "Bump graphql_client from 0.9.0 to 0.10.0", pr_number:                                        8128, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    9, deletions_count:     12},
		{sha: "ca5a8f0934a6ff2881b541326c029d97b540a01c", date: "2021-07-06 23:41:16 UTC", description: "Bump tokio from 1.7.1 to 1.8.0", pr_number:                                                  8129, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      8, insertions_count:    10, deletions_count:    10},
		{sha: "0ddb83c4f00fffd764bcb5b4153165315275299d", date: "2021-07-07 09:20:12 UTC", description: "Improve example, fix spelling and fix URL link", pr_number:                                  8140, scopes: [], type:                               "docs", breaking_change:        false, author: "Robin Schneider", files_count:      3, insertions_count:    9, deletions_count:     9},
		{sha: "902c20f17450cc6c7488d90f051fae3a117f431c", date: "2021-07-07 00:22:43 UTC", description: "Add `version` to examples", pr_number:                                                       8142, scopes: ["lua transform"], type:                "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:        1, insertions_count:    7, deletions_count:     0},
		{sha: "45a3e1f8fcda33f4aed9ee4b0af2d23807300599", date: "2021-07-07 00:42:02 UTC", description: "Fix timestamp parsing example", pr_number:                                                   8148, scopes: ["lua transform"], type:                "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:        1, insertions_count:    8, deletions_count:     10},
		{sha: "d3c3c55fe5cd35d72658e06e4a7ed3867d78de5b", date: "2021-07-07 01:26:47 UTC", description: "Bump thiserror from 1.0.25 to 1.0.26", pr_number:                                            8144, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      1, insertions_count:    4, deletions_count:     4},
		{sha: "e65ee1880b1c1dc0c323036cd0c504a1dc5bec40", date: "2021-07-07 09:16:25 UTC", description: "Bump syslog_loose from 0.11.0 to 0.12.0", pr_number:                                         8143, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      3, insertions_count:    4, deletions_count:     4},
		{sha: "b13605b4cb2473c406ae60eed86de32a6412b832", date: "2021-07-07 02:35:30 UTC", description: "`to_int` now truncates floats", pr_number:                                                   8145, scopes: ["vrl"], type:                          "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:        2, insertions_count:    5, deletions_count:     3},
		{sha: "4a12b5f3bec048a2975b7d21ac4b0f9062a6fd42", date: "2021-07-07 06:06:08 UTC", description: "Remove nonexistent aws and gcp teams from CODEOWNERS", pr_number:                            8149, scopes: ["dev"], type:                          "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    15, deletions_count:    15},
		{sha: "4b44b5bc23a2192578505a3164ae70e851408029", date: "2021-07-07 22:06:30 UTC", description: "New Vector website", pr_number:                                                              7368, scopes: ["external docs"], type:                "chore", breaking_change:       false, author: "Luc Perkins", files_count:          1341, insertions_count: 61463, deletions_count: 32706},
		{sha: "b86a951c42cc944e77cb54f518f7d115b62e83f4", date: "2021-07-07 23:23:15 UTC", description: "Bump tokio from 1.8.0 to 1.8.1", pr_number:                                                  8151, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      8, insertions_count:    10, deletions_count:    10},
		{sha: "4e5af5560731a061645cfbb2152a4203c75a43c5", date: "2021-07-07 23:23:42 UTC", description: "Bump ordered-float from 2.5.1 to 2.6.0", pr_number:                                          8152, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      1, insertions_count:    2, deletions_count:     2},
		{sha: "8e7a8e7c76ee1263f04287aa419489534342d310", date: "2021-07-08 21:35:56 UTC", description: "Allow template syntax in labels of monitored resource descriptor", pr_number:                8131, scopes: ["gcp_stackdriver_logs sink"], type:    "enhancement", breaking_change: false, author: "Wataru Matsui", files_count:        2, insertions_count:    54, deletions_count:    25},
		{sha: "0973b6391d567b91eb7685480f850f5f9a0dc1c5", date: "2021-07-08 07:14:24 UTC", description: "Add `graph` subcommand for generating graph in DOT format", pr_number:                       8116, scopes: ["cli"], type:                          "feat", breaking_change:        false, author: "Jesse Szwedko", files_count:        6, insertions_count:    183, deletions_count:   47},
		{sha: "1769c163e5ed32d097c8537af2df9a3d56290a2a", date: "2021-07-08 18:05:52 UTC", description: "Allow label keys to be templated", pr_number:                                                8118, scopes: ["loki sink"], type:                    "enhancement", breaking_change: false, author: "ndrpnt", files_count:               4, insertions_count:    84, deletions_count:    24},
		{sha: "1fb67f4e44acbc2abff3765cc14cd7734a0a20f0", date: "2021-07-09 00:44:02 UTC", description: "Avoid updating \"bundled with\" in CI", pr_number:                                           8177, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    0, deletions_count:     1},
		{sha: "8575593368349e5528ef5188eecfb15412caac91", date: "2021-07-09 16:50:39 UTC", description: "Allow template syntax in log_id", pr_number:                                                 8173, scopes: ["gcp_stackdriver_logs sink"], type:    "enhancement", breaking_change: false, author: "Wataru Matsui", files_count:        2, insertions_count:    52, deletions_count:    21},
		{sha: "b9acc72b25169d03959699a812b2a49d9f3f5589", date: "2021-07-09 00:51:36 UTC", description: "Bump hyper from 0.14.9 to 0.14.10", pr_number:                                               8169, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "4acf2bc525cc329f4626b18e8f0e91504975e994", date: "2021-07-09 00:52:53 UTC", description: "Bump tokio-stream from 0.1.6 to 0.1.7", pr_number:                                           8170, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      3, insertions_count:    4, deletions_count:     4},
		{sha: "09d59fba3a877ce4c3467b636524b415b48045a1", date: "2021-07-09 00:53:15 UTC", description: "Bump libc from 0.2.97 to 0.2.98", pr_number:                                                 8171, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "b101787013044815a34ad7df9a0be5f88e6fa841", date: "2021-07-09 02:43:17 UTC", description: "Fix event metrics reporting", pr_number:                                                     8163, scopes: ["journald source"], type:              "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:        1, insertions_count:    1, deletions_count:     3},
		{sha: "3629646513f17bb4328cc3b92ee5aa35f0b4f38c", date: "2021-07-09 03:12:21 UTC", description: "Temporarily ignore prost CVE warning", pr_number:                                            8186, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    4, deletions_count:     0},
		{sha: "16f963e74af8f81dc026f35049237ee71beed2fb", date: "2021-07-09 08:49:43 UTC", description: "Add algolia autocomplete", pr_number:                                                        8190, scopes: [], type:                               "docs", breaking_change:        false, author: "Zach Sherman", files_count:         10, insertions_count:   490, deletions_count:   185},
		{sha: "b58ab2fc7f1a2821ce1200f51ddcbf8878b15189", date: "2021-07-09 06:55:04 UTC", description: "Fix min Vector version", pr_number:                                                          8192, scopes: ["internal_logs source"], type:         "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:        1, insertions_count:    1, deletions_count:     1},
		{sha: "c0ec05c3c6d3899883bc60e6d110ea9f07557bfd", date: "2021-07-09 10:14:33 UTC", description: "Add ec2 metadata to metric event instances", pr_number:                                      8157, scopes: ["aws_ec2_metadata transform"], type:   "enhancement", breaking_change: false, author: "Will", files_count:                 2, insertions_count:    199, deletions_count:   65},
		{sha: "9d28ccb48d4e515ce1ad5ef95b1d76f65ab65ce6", date: "2021-07-09 07:29:52 UTC", description: "Run Netlify build only on changes to ./docs", pr_number:                                     8195, scopes: ["external docs"], type:                "chore", breaking_change:       false, author: "Luc Perkins", files_count:          2, insertions_count:    4, deletions_count:     1},
		{sha: "08bf5867694da2f4dfe80da737385f6994b8821c", date: "2021-07-09 07:52:09 UTC", description: "Add missing newline to tsconfig.json", pr_number:                                            8196, scopes: ["docs"], type:                         "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:        1, insertions_count:    1, deletions_count:     1},
		{sha: "36298e56d97592fa7ea5ff63439d26e5300c2b02", date: "2021-07-09 08:09:41 UTC", description: "Update search indexing logic", pr_number:                                                    8194, scopes: ["search"], type:                       "chore", breaking_change:       false, author: "Luc Perkins", files_count:          12, insertions_count:   557, deletions_count:   235},
		{sha: "253e2aa27a1a3d5a5dfccad68c98230e318df103", date: "2021-07-10 01:17:11 UTC", description: "Fix broken README image", pr_number:                                                         8213, scopes: ["external docs"], type:                "fix", breaking_change:         false, author: "Luc Perkins", files_count:          2, insertions_count:    1576, deletions_count:  1},
		{sha: "df761bf0adc42da671841b87b7d5952595e75e53", date: "2021-07-10 05:27:16 UTC", description: "Improve performance of S3 source", pr_number:                                                8215, scopes: ["aws_s3 source"], type:                "enhancement", breaking_change: false, author: "Toby Lawrence", files_count:        3, insertions_count:    22, deletions_count:    20},
		{sha: "ca9f2c16f9cbe4499cff2c2bb0efe0c9e4579e5c", date: "2021-07-10 11:48:43 UTC", description: "Use timezone from configuration when parsing timestamps without a timezone", pr_number:      8089, scopes: ["vrl"], type:                          "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:       27, insertions_count:   260, deletions_count:   110},
		{sha: "0cbccdad49d015361eda940c98b2d36f6ff69c29", date: "2021-07-10 04:01:18 UTC", description: "Deny adding aggregated summaries", pr_number:                                                8096, scopes: ["metrics"], type:                      "fix", breaking_change:         false, author: "Bruce Guenter", files_count:        2, insertions_count:    7, deletions_count:     64},
		{sha: "05188e75a06acee2e70c8137e9e6690bcdd9e092", date: "2021-07-10 07:21:15 UTC", description: "Add histogram bucket for 64", pr_number:                                                     8161, scopes: ["internal_metrics source"], type:      "fix", breaking_change:         false, author: "Bruce Guenter", files_count:        1, insertions_count:    1, deletions_count:     1},
		{sha: "81c346b706e4dc3916576bb1fd3b8d9dde317f1a", date: "2021-07-10 07:21:27 UTC", description: "Fix broken handling of adaptive_concurrency defaults", pr_number:                            8189, scopes: ["sinks"], type:                        "fix", breaking_change:         false, author: "Bruce Guenter", files_count:        1, insertions_count:    1, deletions_count:     3},
		{sha: "357bb2c13479d5d71ac157ea5b22bc39f61d2b04", date: "2021-07-13 06:16:41 UTC", description: "`parse_key_value` fixes", pr_number:                                                         8106, scopes: ["vrl"], type:                          "enhancement", breaking_change: false, author: "Pierre Rognant", files_count:       1, insertions_count:    79, deletions_count:    25},
		{sha: "e207489711e53fa6ef9970b61275331f020e0652", date: "2021-07-12 22:09:43 UTC", description: "Bump listenfd from 0.3.3 to 0.3.5", pr_number:                                               8231, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    12, deletions_count:    21},
		{sha: "992a8920c3f11f144589b8e2ef3fecbf9205a16e", date: "2021-07-12 22:10:17 UTC", description: "Bump nix from 0.21.0 to 0.22.0", pr_number:                                                  8232, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    4, deletions_count:     4},
		{sha: "8db55e6f2174c479abb962d47acd3cbada657d40", date: "2021-07-12 22:10:41 UTC", description: "Bump anyhow from 1.0.41 to 1.0.42", pr_number:                                               8233, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      4, insertions_count:    5, deletions_count:     5},
		{sha: "21ddd7cd7cfaa0604c8e749ec9de787f7d56a62b", date: "2021-07-12 22:10:58 UTC", description: "Bump maxminddb from 0.19.0 to 0.20.0", pr_number:                                            8234, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    3, deletions_count:     3},
		{sha: "8b73949d70044868525269294c532257a0dc4ac1", date: "2021-07-12 23:19:01 UTC", description: "Safelist search widget classes from purging and inject env vars into search.tsx", pr_number: 8198, scopes: ["search"], type:                       "chore", breaking_change:       false, author: "Luc Perkins", files_count:          26, insertions_count:   379, deletions_count:   209},
		{sha: "d57ec59ff76d189a4d62a618bf21db41c89ecee3", date: "2021-07-12 23:56:43 UTC", description: "Add unnest function", pr_number:                                                             7404, scopes: ["vrl"], type:                          "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        16, insertions_count:   1020, deletions_count:  24},
		{sha: "72a3c463ac72cb0b44e2a870f92a07b515ab355e", date: "2021-07-13 00:22:10 UTC", description: "Add `datadog_events` sink", pr_number:                                                       7678, scopes: ["new sink"], type:                     "feat", breaking_change:        false, author: "GitHub", files_count:               1, insertions_count:    10, deletions_count:    9},
		{sha: "dbe1b9caf0479809ac9b059a7592d3f26edf4100", date: "2021-07-13 00:23:21 UTC", description: "Add page title to Algolia search index", pr_number:                                          8241, scopes: ["search"], type:                       "enhancement", breaking_change: false, author: "Luc Perkins", files_count:          2, insertions_count:    15, deletions_count:    15},
		{sha: "5bc8ff1d070977a69f2c240c1104a0ce3b8bc16e", date: "2021-07-13 00:24:36 UTC", description: "Bump docker/setup-buildx-action from 1.5.0 to 1.5.1", pr_number:                             8242, scopes: ["ci"], type:                           "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      3, insertions_count:    3, deletions_count:     3},
		{sha: "55dd2082e7fa7cc32c67c72eebe9d910e6c94f1e", date: "2021-07-13 03:57:25 UTC", description: "Add Vector config examples to main page of vector.dev", pr_number:                           8243, scopes: ["external docs"], type:                "enhancement", breaking_change: false, author: "Luc Perkins", files_count:          8, insertions_count:    96, deletions_count:    55},
		{sha: "b977502637487ddd2c50674e2545e68a7a5d1433", date: "2021-07-13 11:25:00 UTC", description: "Bump tracing-opentelemetry from 0.13.0 to 0.14.0", pr_number:                                8235, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    11, deletions_count:    11},
		{sha: "9b7fabf50c82c6a153d117b340bf0cfa6154b91c", date: "2021-07-13 05:00:10 UTC", description: "Handle legacy fingerprint checksums from < v0.14.0", pr_number:                              8225, scopes: ["file source"], type:                  "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:        5, insertions_count:    243, deletions_count:   29},
		{sha: "0b7f30ac4ae3778e1c0ec7d9ff548e3f5cf9880b", date: "2021-07-13 21:07:00 UTC", description: "Bump num_enum from 0.5.1 to 0.5.2", pr_number:                                               8253, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      2, insertions_count:    17, deletions_count:    7},
		{sha: "9c541424d06db9d8521f699a9b6c5498fd4173a6", date: "2021-07-13 21:07:47 UTC", description: "Bump ordered-float from 2.6.0 to 2.7.0", pr_number:                                          8254, scopes: ["deps"], type:                         "chore", breaking_change:       false, author: "dependabot[bot]", files_count:      1, insertions_count:    2, deletions_count:     2},
		{sha: "fe8dfb2e7d9cd7199d609435f1a4e46b3f2e2125", date: "2021-07-13 23:20:10 UTC", description: "Remove the banner", pr_number:                                                               8248, scopes: [], type:                               "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:        1, insertions_count:    1, deletions_count:     1},
		{sha: "b6dc3b73bbdb7b2b9b8611ac098a4ec84a6a3f19", date: "2021-07-14 00:23:20 UTC", description: "Add support for acknowledgements", pr_number:                                                8037, scopes: ["elasticsearch sink"], type:           "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:        12, insertions_count:   305, deletions_count:   105},
		{sha: "e93f0f43e940fde98bc4618437ad4694c63151ef", date: "2021-07-14 10:17:49 UTC", description: "Write checkpoints before shutdown", pr_number:                                               8252, scopes: ["file source"], type:                  "fix", breaking_change:         false, author: "Luke Steensen", files_count:        1, insertions_count:    14, deletions_count:    11},
		{sha: "ce7a83e9df2efe0ef8a71f011c5342331ee74ea8", date: "2021-07-15 00:01:25 UTC", description: "Introduce customConfig key", pr_number:                                                      8168, scopes: ["helm platform"], type:                "enhancement", breaking_change: false, author: "Spencer Gilbert", files_count:      17, insertions_count:   593, deletions_count:   31},
		{sha: "b8b2912a7987735afaf30e2319de6bd0d0665872", date: "2021-07-14 22:23:27 UTC", description: "Wait for shutdown in `file_start_position_server_restart`", pr_number:                       8224, scopes: ["tests"], type:                        "chore", breaking_change:       false, author: "Bruce Guenter", files_count:        1, insertions_count:    2, deletions_count:     2},
		{sha: "7930057ba1978748c3685bd4007912890c58204c", date: "2021-07-14 21:33:08 UTC", description: "Fix span labels for http-based sources", pr_number:                                          8266, scopes: ["observability"], type:                "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:        3, insertions_count:    7, deletions_count:     6},
		{sha: "628bf6bea60809913b656aa0783da29be348f009", date: "2021-07-14 23:11:02 UTC", description: "Add `host` tag to internal_metrics", pr_number:                                              8164, scopes: ["internal_metrics source"], type:      "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:        5, insertions_count:    29, deletions_count:    35},
		{sha: "25331b2701aee7b13ffc78aadc2059707e905277", date: "2021-07-15 04:34:51 UTC", description: "Fix data stream timestamp handling", pr_number:                                              8271, scopes: ["elasticsearch sink"], type:           "fix", breaking_change:         false, author: "Bruce Guenter", files_count:        1, insertions_count:    34, deletions_count:    23},
	]

	whats_next: [
		{
			title:       "Enabling Adaptive Concurrency Control by default"
			description: """
				We released [Adaptive Concurrency Control](\(urls.adaptive_request_concurrency_post)) in version 0.11.0
				of Vector, but, up until now, this feature has been opt-in. We've been collecting user feedback, making
				enhancements, and expect to enable this feature as the default in 0.16.0. Users will still be able to
				configure static concurrency controls as they do now.
				"""
		},
		{
			title: "End to end acknowledgements"
			description: """
				We've heard from a number of users that they'd like improved delivery guarantees for events flowing
				through Vector. We are working on a feature to allow, for components that are able to support it, to
				only acknowledging data flowing into source components after that data has been sent by any associated
				sinks. For example, this would avoid acknowledging messages in Kafka until the data in those messages
				has been sent via all associated sinks.

				This release includes support in additional  source and sink components that support acknowledgements,
				but it has not yet been fully documented and tested. We expect to officially release this with 0.16.0.
				"""
		},
		{
			title:       "Kubernetes aggregator role"
			description: """
				We are hard at work at expanding the ability to run Vector as an [aggregator in
				Kubernetes](\(urls.vector_aggregator_role)). This will allow you to build end-to-end observability
				pipelines in Kubernetes with Vector. Distributing processing on the edge, centralizing it with an
				aggregator, or both. If you are interested in beta testing, please [join our chat](\(urls.vector_chat))
				and let us know.

				We do expect this to be released with 0.16.0.
				"""
		},
	]
}
