package metadata

releases: "0.17.0": {
	date:     "2021-10-05"
	codename: ""

	description: """
	The Vector team is pleased to announce version 0.17.0!

	Be sure to check out the [upgrade guide](/highlights/2021-10-08-0-17-upgrade-guide) for breaking changes in this release.

	This release includes:

	* One new component:
		* [`splunk_hec_metrics` sink](\(urls.vector_splunk_hec_metrics_sink)) for sending metrics to Splunk
	* [Adaptive Concurrency](/highlights/2021-10-06-arc-default) enabled by default to maximize throughput for HTTP-based sinks
	* An enhancement to the [`host_metrics`](\(urls.vector_host_metrics_source)) to fetch memory and CPU metrics for cgroups
	* New VRL functions: [find](\(urls.vrl_functions)/#find), [unique](\(urls.vrl_functions)/#unique), and, a set of functions for dynamically looking up event fields, [get](\(urls.vrl_functions)/#get), [set](\(urls.vrl_functions)/#set), and [remove](\(urls.vrl_functions)/#remove).

	It also contains a number of additional enhancements and bug fixes. Check out the
	[highlights](/releases/0.17.0#highlights) and [changelog](/releases/0.17.0#changelog) for more details.

	## Known issues

	- `events_out_total` and `processed_events_total` ceased being published by
	  sources and transforms. This will be fixed in a subsequent release, but
	  these metrics have also been replaced by `component_sent_events_total`
	  which is being implemented for all components.
	"""

	whats_next: [

		{
			title:       "Component metric standardization"
			description: """
				We are in the process of ensuring that all Vector components report a consistent set of metrics to make
				it easier to monitor the performance of Vector.  These metrics are outlined in this new [instrumentation
				specification](\(urls.specs_instrumentation)).
				"""
		},
		{
			title:       "VRL iteration support"
			description: """
				A common request from users when the incoming log event shape is unknown, to be able to iterate over the
				keys and values in those log events. We recently published an [RFC](\(urls.vector_rfc_8381)) for this and
				expect to implement this support this quarter.
				"""
		},
		{
			title: "New unified Vector helm chart"
			description: """
				Taking all of our learnings from the existing agent and aggregator Helm charts, we've started work on
				a new Helm chart that will unify both the agent and aggregator deployments into one chart, which can be
				configured by deployment role, to simplify deployment and chart maintenance. You can follow along in
				[vectordotdev/helm-charts#38](https://github.com/vectordotdev/helm-charts/issues/38).
				"""
		},
	]

	commits: [
		{sha: "c81173a9bd8bac71162db6092108e960bfcc26f0", date: "2021-08-25 20:27:37 UTC", description: "Document send/receive buffers", pr_number:                                               8876, scopes: ["socket source", "socket sink"], type:          "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      2, insertions_count:   13, deletions_count:   5},
		{sha: "00a447cb3389673e04b3f2685e35fdbbb6195e12", date: "2021-08-25 20:42:31 UTC", description: "bump inherent from 0.1.6 to 1.0.0", pr_number:                                           8832, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    6, insertions_count:   100, deletions_count:  100},
		{sha: "71c20143c7b1e083f0df5767c691404cef95faab", date: "2021-08-26 00:25:12 UTC", description: "Add VERSIONING policy", pr_number:                                                       8795, scopes: [], type:                                        "chore", breaking_change:       false, author: "Ben Johnson", files_count:        7, insertions_count:   264, deletions_count:  174},
		{sha: "a129e000b90cce5b277170fa315c6d6b1c0a8633", date: "2021-08-26 00:33:41 UTC", description: "Silence a couple of clippy warnings", pr_number:                                         8880, scopes: [], type:                                        "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      2, insertions_count:   6, deletions_count:    0},
		{sha: "f71427e9cd5ca7fddafb903208ddf17b3f1adf72", date: "2021-08-26 21:11:32 UTC", description: "create WIP pipeline parser", pr_number:                                                  8572, scopes: ["pipelines"], type:                             "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:     15, insertions_count:  241, deletions_count:  16},
		{sha: "3a79b828ac924ed1ef651b4bc66778495d22a1c4", date: "2021-08-26 17:41:21 UTC", description: "Add link to CHANGELOG.md", pr_number:                                                    8885, scopes: [], type:                                        "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      1, insertions_count:   2, deletions_count:    0},
		{sha: "a85ce5d7f995c8bde27022527afda0ab8bb3959e", date: "2021-08-26 17:41:44 UTC", description: "bump redis from 0.21.0 to 0.21.1", pr_number:                                            8890, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "736c62ad91a6377269aa3b61bf960b70dd5d87ec", date: "2021-08-26 17:42:41 UTC", description: "bump bytes from 1.0.1 to 1.1.0", pr_number:                                              8891, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    12, insertions_count:  64, deletions_count:   64},
		{sha: "eb291894604e158183167bb2a8a29f2a53d117f8", date: "2021-08-26 17:43:09 UTC", description: "bump libc from 0.2.100 to 0.2.101", pr_number:                                           8892, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "ffe12ab1e9b9e64f0985800ee68fa700e29e389b", date: "2021-08-26 17:46:15 UTC", description: "Document that $NAME-style env variables are interpolated as well in configs", pr_number: 8887, scopes: ["config"], type:                                "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      1, insertions_count:   2, deletions_count:    2},
		{sha: "8b2b910e4eda2e6c21ee7dff5ed247143e70a07d", date: "2021-08-26 17:46:29 UTC", description: "Document that `request` options can be set", pr_number:                                  8888, scopes: ["vector sink"], type:                           "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      3, insertions_count:   10, deletions_count:   2},
		{sha: "8410802f79b6844b37e71de6e152cf74c62a131d", date: "2021-08-26 19:19:12 UTC", description: "Update date for upgrade guide to match release date", pr_number:                         8902, scopes: ["releasing"], type:                             "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      1, insertions_count:   1, deletions_count:    1},
		{sha: "c90b23e1b3e16e100dc13e1bc0e06d5c8d71f3b4", date: "2021-08-27 03:27:55 UTC", description: "update the example to the correct version options", pr_number:                           8900, scopes: [], type:                                        "docs", breaking_change:        false, author: "Cenk Kücük", files_count:         1, insertions_count:   7, deletions_count:    7},
		{sha: "84b00fe555e515ea8f9e58ab53cbc16ed85b168a", date: "2021-08-27 01:31:20 UTC", description: "bump tokio from 1.10.0 to 1.10.1", pr_number:                                            8897, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    8, insertions_count:   10, deletions_count:   10},
		{sha: "0c877ef0f80c3bb31ec53b3afc9eaf7fbc6d1b75", date: "2021-08-27 02:04:08 UTC", description: "adds datadog RUM and logs to website", pr_number:                                        8871, scopes: [], type:                                        "docs", breaking_change:        false, author: "Brian Deutsch", files_count:      5, insertions_count:   91, deletions_count:   4},
		{sha: "57fba2cbce02934e4d368ee552c908666568ad44", date: "2021-08-26 23:13:50 UTC", description: "Introduce a `rename_key` on `LogEvent`", pr_number:                                      8907, scopes: [], type:                                        "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count: 2, insertions_count:   112, deletions_count:  22},
		{sha: "f0f71de28447dc716fc1dd0eac3f2681f61c0f3f", date: "2021-08-27 03:33:44 UTC", description: "Remove WASM code", pr_number:                                                            8911, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      82, insertions_count:  70, deletions_count:   5727},
		{sha: "9eba8c90da21c9e4ee1a39b712c53251db7e553d", date: "2021-08-28 01:47:51 UTC", description: "RFC for improved error diagnostics", pr_number:                                          8894, scopes: ["vrl"], type:                                   "chore", breaking_change:       false, author: "Jean Mertz", files_count:         1, insertions_count:   791, deletions_count:  0},
		{sha: "14d0013604ebba17d14debc6032fc76b71939b37", date: "2021-08-28 02:09:49 UTC", description: "add undefined variable compiler error", pr_number:                                       8910, scopes: ["vrl"], type:                                   "enhancement", breaking_change: false, author: "Jean Mertz", files_count:         8, insertions_count:   180, deletions_count:  21},
		{sha: "ec62b9bcde4deeecb76b3c24627a6137bd3cc621", date: "2021-08-27 20:16:54 UTC", description: "Add note about RBAC required for kubernetes_logs", pr_number:                            8915, scopes: [], type:                                        "chore", breaking_change:       false, author: "Spencer Gilbert", files_count:    1, insertions_count:   25, deletions_count:   1},
		{sha: "df6370e32ddc9cce5fc8c530cb7eb76417c6b7ae", date: "2021-08-27 18:17:03 UTC", description: "bump grok from 1.1.0 to 1.2.0", pr_number:                                               8916, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   37, deletions_count:   63},
		{sha: "ebfe89c1b3ddbb1f539c42fcb7aeb42d26f858df", date: "2021-08-27 18:17:23 UTC", description: "bump serde_yaml from 0.8.19 to 0.8.20", pr_number:                                       8917, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "d6c076dd252fa610639603862be58411f02b1d10", date: "2021-08-27 19:00:21 UTC", description: "Use variance calculation to better adapt to RTT times in ARC", pr_number:                8325, scopes: ["sinks"], type:                                 "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:      14, insertions_count:  157, deletions_count:  64},
		{sha: "2225fea25d10889047cab2788f9dd403497d715e", date: "2021-08-27 21:47:26 UTC", description: "Add initial cgroups metrics", pr_number:                                                 8806, scopes: ["host_metrics source"], type:                   "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:      3, insertions_count:   458, deletions_count:  3},
		{sha: "cf1584a812ebfbefcc461f3ac35c6fb5abc5fdfe", date: "2021-08-27 22:47:30 UTC", description: "Add enrichment tables to all builds", pr_number:                                         8939, scopes: ["releasing"], type:                             "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      1, insertions_count:   6, deletions_count:    6},
		{sha: "85985936d2bf650365c2b68e81f40d93fcd504b0", date: "2021-08-28 01:04:38 UTC", description: "Make adaptive concurrency the default", pr_number:                                       8598, scopes: ["sinks"], type:                                 "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:      3, insertions_count:   5, deletions_count:    11},
		{sha: "6dd61116cc85bcc5300a2148d5dac21a1b6acc83", date: "2021-08-28 02:21:57 UTC", description: "Generate config with JSON default", pr_number:                                           8942, scopes: ["generator source"], type:                      "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      1, insertions_count:   1, deletions_count:    1},
		{sha: "c7d29ac542c74f78ef40bb03c0e87862274ba1d1", date: "2021-08-29 02:30:40 UTC", description: "Add RFC for \"Framing and Codecs - Sources\"", pr_number:                                8620, scopes: ["codecs"], type:                                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      1, insertions_count:   244, deletions_count:  0},
		{sha: "055cffe875655bb00115aee4029f0034751b3632", date: "2021-08-30 18:05:05 UTC", description: "bump serde from 1.0.129 to 1.0.130", pr_number:                                          8952, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    8, insertions_count:   11, deletions_count:   11},
		{sha: "924ceef64bd1698c11ad5e9f8fdb5c2842a88fee", date: "2021-08-30 20:09:45 UTC", description: "Add data loss defaults to user experience design", pr_number:                            8945, scopes: [], type:                                        "chore", breaking_change:       false, author: "Ben Johnson", files_count:        1, insertions_count:   16, deletions_count:   0},
		{sha: "c827a623cde2a3b0b2bdfb159699d834fc1913e3", date: "2021-08-31 01:28:16 UTC", description: "bump thiserror from 1.0.26 to 1.0.28", pr_number:                                        8959, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    1, insertions_count:   4, deletions_count:    4},
		{sha: "884e1c779b9c98637106be8481c09acdf7b837a3", date: "2021-08-31 01:48:47 UTC", description: "bump serde_json from 1.0.66 to 1.0.67", pr_number:                                       8953, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    7, insertions_count:   8, deletions_count:    8},
		{sha: "fa976317a41e296ba5d836166eb0c3590f3879e1", date: "2021-08-31 03:03:32 UTC", description: "bump flate2 from 1.0.20 to 1.0.21", pr_number:                                           8961, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "a21706ef8cb9002e45a08a3be156870890a49989", date: "2021-08-30 21:37:34 UTC", description: "bump sha-1 from 0.9.7 to 0.9.8", pr_number:                                              8962, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    1, insertions_count:   8, deletions_count:    8},
		{sha: "1452c2e80265fb7a72c66d2dbdbfcce5e688f9c2", date: "2021-08-30 21:38:30 UTC", description: "bump arc-swap from 1.3.1 to 1.3.2", pr_number:                                           8963, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    5, insertions_count:   6, deletions_count:    6},
		{sha: "5525670c6a14fcd526bf89ee49e80aa93c3a2bdd", date: "2021-08-30 23:42:51 UTC", description: "Add RFC last call meeting to template", pr_number:                                       8965, scopes: [], type:                                        "chore", breaking_change:       false, author: "Ben Johnson", files_count:        1, insertions_count:   10, deletions_count:   2},
		{sha: "46044acafe1dc1bdf7d44a7862ac99d1ae4ac6da", date: "2021-08-31 04:54:31 UTC", description: "bump futures from 0.3.16 to 0.3.17", pr_number:                                          8966, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    4, insertions_count:   57, deletions_count:   57},
		{sha: "c6c0ea7ce3c818eab691af1de59aa8b2db487a73", date: "2021-08-31 02:13:44 UTC", description: "Add component specification", pr_number:                                                 8858, scopes: [], type:                                        "chore", breaking_change:       false, author: "Ben Johnson", files_count:        1, insertions_count:   206, deletions_count:  0},
		{sha: "5885a73a13442cff092d1ce178b4f2396ab808a1", date: "2021-08-31 05:24:34 UTC", description: "Unpin evmap from fork", pr_number:                                                       8941, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      3, insertions_count:   28, deletions_count:   31},
		{sha: "51b3c79897355b19ea77f9876614c7c47721c91d", date: "2021-08-31 19:13:55 UTC", description: "github icon should have hover effect in dark mode.", pr_number:                          8964, scopes: ["css website"], type:                           "fix", breaking_change:         false, author: "Brian Deutsch", files_count:      2, insertions_count:   5, deletions_count:    1},
		{sha: "9de6445d3b1fe02ccda68bf74053e423b79d2f3d", date: "2021-08-31 17:35:22 UTC", description: "bump structopt from 0.3.22 to 0.3.23", pr_number:                                        8971, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   5, deletions_count:    5},
		{sha: "a4446036b1eda3065743dc088a275ba7df7045ac", date: "2021-08-31 19:27:23 UTC", description: "Introduce a `Batcher` stream processor", pr_number:                                      8960, scopes: [], type:                                        "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count: 8, insertions_count:   583, deletions_count:  2},
		{sha: "82152178c3be7abbd67858126a950cf072666da2", date: "2021-09-01 19:11:07 UTC", description: "bump tokio from 1.10.1 to 1.11.0", pr_number:                                            8986, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    8, insertions_count:   10, deletions_count:   10},
		{sha: "a21403f2b299f5a49e09e0605d2ec0905e4fa457", date: "2021-09-02 03:35:48 UTC", description: "move enrichment tables into new crate", pr_number:                                       8979, scopes: ["enriching"], type:                             "chore", breaking_change:       false, author: "Stephen Wakely", files_count:     43, insertions_count:  635, deletions_count:  368},
		{sha: "73fecc712a52017f88479861325bfd4e10c4cc40", date: "2021-09-02 07:17:17 UTC", description: "print on interval instead of after X events", pr_number:                                 8968, scopes: ["blackhole sink"], type:                        "enhancement", breaking_change: true, author:  "Toby Lawrence", files_count:      8, insertions_count:   104, deletions_count:  48},
		{sha: "78f7a8d4974c01e8dca83f0c4acb0c491385cea6", date: "2021-09-02 20:46:49 UTC", description: "Update docker cross build instructions", pr_number:                                      9008, scopes: [], type:                                        "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      1, insertions_count:   8, deletions_count:    5},
		{sha: "91a45348022cd382b7d327e439fe50c951895db2", date: "2021-09-02 22:07:32 UTC", description: "Do not blow up on trailing whitespace", pr_number:                                       8997, scopes: ["splunk_hec source"], type:                     "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      1, insertions_count:   62, deletions_count:   27},
		{sha: "0f954015b8e048268089c7031cc4f980a309327c", date: "2021-09-03 01:39:03 UTC", description: "Add additional merge strategies", pr_number:                                             8559, scopes: ["reduce transform"], type:                      "enhancement", breaking_change: false, author: "Danny Browning", files_count:     3, insertions_count:   386, deletions_count:  2},
		{sha: "7b73299e43641a3ea346d145ea4bfe319145f14b", date: "2021-09-03 20:19:39 UTC", description: "handle complex ruby objects", pr_number:                                                 8956, scopes: ["vrl"], type:                                   "fix", breaking_change:         false, author: "Jérémie Drouet", files_count:     1, insertions_count:   168, deletions_count:  31},
		{sha: "11c65981682857bcdcbde5e998e952915d3558d1", date: "2021-09-03 20:24:36 UTC", description: "compiler verification", pr_number:                                                       8810, scopes: ["pipelines"], type:                             "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:     45, insertions_count:  862, deletions_count:  157},
		{sha: "d8c4619fa370eff3f88b25cfd57d525994f5fa0f", date: "2021-09-03 22:18:54 UTC", description: "Define events", pr_number:                                                               8958, scopes: ["loki sink"], type:                             "enhancement", breaking_change: false, author: "Kruno Tomola Fabro", files_count: 8, insertions_count:   150, deletions_count:  18},
		{sha: "1ac38446843aefc0afaab71ff9c8506963876da8", date: "2021-09-03 22:41:14 UTC", description: "rename ComponentId to ComponentKey", pr_number:                                          8955, scopes: ["pipelines"], type:                             "enhancement", breaking_change: false, author: "Jérémie Drouet", files_count:     43, insertions_count:  589, deletions_count:  566},
		{sha: "e0ccf2de60322ebab9e943c95c0ad452ca9c454d", date: "2021-09-03 23:29:11 UTC", description: "Add `logfmt` encoding", pr_number:                                                       8983, scopes: ["loki sink"], type:                             "enhancement", breaking_change: false, author: "Kruno Tomola Fabro", files_count: 10, insertions_count:  821, deletions_count:  124},
		{sha: "02f38ee4bdb5c4ed5e7e80991adc5592ed748371", date: "2021-09-03 19:28:08 UTC", description: "bump ordered-float from 2.7.0 to 2.8.0", pr_number:                                      9018, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    1, insertions_count:   2, deletions_count:    2},
		{sha: "12947905afe7fac2badfd837590e8a53d4b7d6be", date: "2021-09-03 19:28:29 UTC", description: "bump redis from 0.21.1 to 0.21.2", pr_number:                                            9019, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "4b9634549a87735ec2bb8e46178d266328d20b1e", date: "2021-09-03 19:32:19 UTC", description: "Add function for retrieving deduplicating an array", pr_number:                          9012, scopes: ["vrl"], type:                                   "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:      8, insertions_count:   149, deletions_count:  2},
		{sha: "1dc6aa75062ad18b764fc64d16ce7ff2ab439514", date: "2021-09-04 12:04:01 UTC", description: "Add include_matches/exclude_matches options", pr_number:                                 8974, scopes: ["journald source"], type:                       "enhancement", breaking_change: false, author: "Wataru Matsui", files_count:      2, insertions_count:   308, deletions_count:  69},
		{sha: "9e7af847feef2aca2591bf64c75cfec7039e3484", date: "2021-09-03 21:01:44 UTC", description: "Add template note to config params", pr_number:                                          9032, scopes: ["external docs"], type:                         "fix", breaking_change:         false, author: "Luc Perkins", files_count:        2, insertions_count:   49, deletions_count:   34},
		{sha: "e20ce939ef5a84845b671e9600386ed7f7de7222", date: "2021-09-03 21:26:49 UTC", description: "Attempt to enable disallowed-methods clippy lint", pr_number:                            9013, scopes: [], type:                                        "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count: 141, insertions_count: 368, deletions_count:  343},
		{sha: "925324f0af0174f564d744d10f8f09c3002c4b56", date: "2021-09-04 07:17:41 UTC", description: "Implement codec traits for sources/decoding", pr_number:                                 8913, scopes: ["codecs"], type:                                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      8, insertions_count:   304, deletions_count:  0},
		{sha: "57e6d46a39d0b57744af697f3df533659ec9bfc9", date: "2021-09-04 01:29:37 UTC", description: "add per-batch timeout support to Batcher", pr_number:                                    9004, scopes: ["architecture"], type:                          "chore", breaking_change:       false, author: "Toby Lawrence", files_count:      6, insertions_count:   331, deletions_count:  129},
		{sha: "4f6db7d4d1fa551d55ca94badf9c8c5be2f19070", date: "2021-09-04 00:17:23 UTC", description: "Remove utilization metric from sources", pr_number:                                      9035, scopes: ["sources"], type:                               "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      3, insertions_count:   2, deletions_count:    5},
		{sha: "d9cf6c3b73affe2c175fa283875b4e97b681cdf5", date: "2021-09-04 00:19:46 UTC", description: "Mark `encoding` as optional", pr_number:                                                 9036, scopes: ["sinks"], type:                                 "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      1, insertions_count:   2, deletions_count:    1},
		{sha: "bd7bcfe766943bc937232dd83c0a0307b22f7307", date: "2021-09-04 00:43:54 UTC", description: "Fix references to `unix` to be to `unix_datagram` and `unix_stream`", pr_number:         9038, scopes: ["socket source"], type:                         "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      2, insertions_count:   3, deletions_count:    3},
		{sha: "b6f18a5dc63477545d7752d120c1657518dd785c", date: "2021-09-04 03:27:19 UTC", description: "error on duplicate inputs", pr_number:                                                   9011, scopes: ["config"], type:                                "fix", breaking_change:         false, author: "Luke Steensen", files_count:      3, insertions_count:   42, deletions_count:   10},
		{sha: "97f8eb75b7475f66780da348ae894a079d9c60cc", date: "2021-09-04 03:28:21 UTC", description: "Internal tracing RFC", pr_number:                                                        8723, scopes: ["observability"], type:                         "chore", breaking_change:       false, author: "Luke Steensen", files_count:      1, insertions_count:   292, deletions_count:  0},
		{sha: "7565110bc37d55e00b6dbfd8e360f8c20172bdde", date: "2021-09-06 20:00:25 UTC", description: "Regenerate intermediate test CA", pr_number:                                             9053, scopes: ["ci"], type:                                    "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      13, insertions_count:  238, deletions_count:  249},
		{sha: "d918455631e8bf2714c009cabbc7ef721190cc2b", date: "2021-09-07 18:52:29 UTC", description: "add --pipeline-dir argument to cli", pr_number:                                          9002, scopes: ["pipelines"], type:                             "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:     11, insertions_count:  148, deletions_count:  53},
		{sha: "6244e8413122f2e14a7a32bbc8d2252163574338", date: "2021-09-07 20:21:55 UTC", description: "Add `index` and `indexed_fields` options to Humio sink", pr_number:                      8981, scopes: ["humio_logs sink", "humio_metrics sink"], type: "enhancement", breaking_change: false, author: "Pablo Sichert", files_count:      5, insertions_count:   43, deletions_count:   17},
		{sha: "0695be3883e1d7fe96bcfce26210e430634ad6ff", date: "2021-09-07 16:45:48 UTC", description: "bump pulsar from 4.0.0 to 4.1.1", pr_number:                                             9062, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   13, deletions_count:   6},
		{sha: "ae6fe5f6b1a5f26752c779e2cd05750a895ca3c5", date: "2021-09-07 16:52:13 UTC", description: "bump thiserror from 1.0.28 to 1.0.29", pr_number:                                        9050, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    1, insertions_count:   4, deletions_count:    4},
		{sha: "f1345819d2ba6b134c7984fcabd3f9074df0ba8b", date: "2021-09-07 18:02:58 UTC", description: "bump docker/setup-buildx-action from 1.5.1 to 1.6.0", pr_number:                         9058, scopes: ["ci"], type:                                    "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   3, deletions_count:    3},
		{sha: "9837d36d26bf1f8b2cbd739d89631ad132cf182f", date: "2021-09-07 19:00:57 UTC", description: "bump assert_cmd from 2.0.0 to 2.0.1", pr_number:                                         9061, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "5c0c61b38b87d96cf8d6983a6cbf36726ed1f4e1", date: "2021-09-07 21:22:37 UTC", description: "Fix component docs rendering nits", pr_number:                                           9074, scopes: ["external docs"], type:                         "fix", breaking_change:         false, author: "Luc Perkins", files_count:        4, insertions_count:   24, deletions_count:   18},
		{sha: "f1132d045b4ed0bcedc8983bc775af98bcba3b6d", date: "2021-09-07 23:44:46 UTC", description: "Add how test intermediate certificates were generated", pr_number:                       9076, scopes: [], type:                                        "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      1, insertions_count:   9, deletions_count:    1},
		{sha: "70199c45637a7e3b665c3f80d0f95f47403f0d29", date: "2021-09-08 06:47:08 UTC", description: "refactor the S3 sink", pr_number:                                                        8884, scopes: ["aws_s3 sink"], type:                           "chore", breaking_change:       false, author: "Toby Lawrence", files_count:      19, insertions_count:  1585, deletions_count: 1029},
		{sha: "4b51a02da6f66417ce06fa22e6895600da5a5973", date: "2021-09-08 23:09:22 UTC", description: "add between date search to enrichment tables", pr_number:                                9021, scopes: ["enriching"], type:                             "enhancement", breaking_change: false, author: "Stephen Wakely", files_count:     10, insertions_count:  341, deletions_count:  128},
		{sha: "0f586eacfe6a8676944bef2574106d1481bdf512", date: "2021-09-09 01:06:58 UTC", description: "ensure components don't have dots in their names", pr_number:                            9083, scopes: ["config"], type:                                "fix", breaking_change:         false, author: "Jérémie Drouet", files_count:     6, insertions_count:   159, deletions_count:  15},
		{sha: "9520636f11fc85821c4287f63bedb39d0597c9e5", date: "2021-09-08 16:44:01 UTC", description: "bump mongodb from 2.0.0-beta.3 to 2.0.0", pr_number:                                     9081, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   10, deletions_count:   11},
		{sha: "b1c64a8af4b5e07d8b560fe4f486768a92e55260", date: "2021-09-08 16:44:24 UTC", description: "bump syslog_loose from 0.14.0 to 0.15.0", pr_number:                                     9082, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   5, deletions_count:    5},
		{sha: "f6c8b31fcd95d1ec1e400063c74672e24b2fc3e0", date: "2021-09-09 02:08:09 UTC", description: "add component_scope field to internal metrics", pr_number:                               9051, scopes: ["pipelines"], type:                             "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:     13, insertions_count:  222, deletions_count:  188},
		{sha: "7e97f4ffa7bcbe024dc0c10d385bea6cb1898bd3", date: "2021-09-08 18:13:47 UTC", description: "Run Windows builds on our CI runners", pr_number:                                        9084, scopes: ["releasing"], type:                             "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      2, insertions_count:   2, deletions_count:    2},
		{sha: "bd426029c56e494235d4a391d46c46753b818813", date: "2021-09-09 03:31:40 UTC", description: "Implement `character_delimited` framing", pr_number:                                     8918, scopes: ["codecs"], type:                                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      24, insertions_count:  444, deletions_count:  755},
		{sha: "1b3ddbebf951f282eedf6f33a22c2e2ea4846ae6", date: "2021-09-08 19:21:19 UTC", description: "Use array for configuration", pr_number:                                                 8846, scopes: ["compound transform"], type:                    "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      4, insertions_count:   69, deletions_count:   36},
		{sha: "0cb24ea7abf096f771971d478d35a509d4def47a", date: "2021-09-09 05:03:50 UTC", description: "Implement `length_delimited` framing", pr_number:                                        8936, scopes: ["codecs"], type:                                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      2, insertions_count:   164, deletions_count:  0},
		{sha: "3f4059a798dea8473847078954dadb175fad3fc1", date: "2021-09-09 04:12:33 UTC", description: "check for duplicate indexes before adding a new one", pr_number:                         9056, scopes: ["enriching"], type:                             "chore", breaking_change:       false, author: "Stephen Wakely", files_count:     1, insertions_count:   51, deletions_count:   17},
		{sha: "1c46b2ef298ae2a2703a14877d28bc6b827a594f", date: "2021-09-08 22:00:02 UTC", description: "Allow adaptive concurrency", pr_number:                                                  9007, scopes: ["aws_cloudwatch_logs sink"], type:              "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      1, insertions_count:   6, deletions_count:    8},
		{sha: "bbb8a6be364003f4f36267e8e5fd4c58aed41aa5", date: "2021-09-09 01:27:37 UTC", description: "Improve error reporting for cgroups metrics", pr_number:                                 9087, scopes: ["host_metrics source"], type:                   "chore", breaking_change:       false, author: "Bruce Guenter", files_count:      1, insertions_count:   73, deletions_count:   38},
		{sha: "7a2b18339a36a68bc1d9461ce8f8cf26f1609dbe", date: "2021-09-09 00:43:13 UTC", description: "Bump grok from 1.1.0 to 1.2.0", pr_number:                                               8940, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      5, insertions_count:   63, deletions_count:   70},
		{sha: "927df8ce4180b4b46176e49b77afd66fe9e25b5d", date: "2021-09-09 10:32:37 UTC", description: "Implement `newline_delimited` framing", pr_number:                                       9054, scopes: ["codecs"], type:                                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      4, insertions_count:   146, deletions_count:  5},
		{sha: "c07a467a3e75ee3df7358d78dfe6ac94e247fa3b", date: "2021-09-09 12:42:07 UTC", description: "Implement `octet_counting` framing", pr_number:                                          9063, scopes: ["codecs"], type:                                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      11, insertions_count:  465, deletions_count:  393},
		{sha: "cadc227ea178ab98b544b8d3b917a2b2393da57e", date: "2021-09-09 16:03:12 UTC", description: "Implement `bytes` framing", pr_number:                                                   9059, scopes: ["codecs"], type:                                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      2, insertions_count:   77, deletions_count:   0},
		{sha: "fc7f5cbb60284bc1237756ab3408f65927161d03", date: "2021-09-09 18:08:45 UTC", description: "Implement `syslog` parser", pr_number:                                                   9065, scopes: ["codecs"], type:                                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      4, insertions_count:   159, deletions_count:  116},
		{sha: "319d26c5a79359d56de5fa77c826a401d7b549d6", date: "2021-09-09 17:14:41 UTC", description: "Check batch configuration limits", pr_number:                                            9088, scopes: ["aws_kinesis_firehose sink"], type:             "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:      1, insertions_count:   87, deletions_count:   1},
		{sha: "f1fdd08d802758957fdfb66969fce2d4eebe9c6d", date: "2021-09-10 01:58:21 UTC", description: "Add 'splunk_hec_metrics' sink", pr_number:                                               8947, scopes: ["new sink"], type:                              "feat", breaking_change:        false, author: "Chris W", files_count:            17, insertions_count:  1909, deletions_count: 608},
		{sha: "21f842bae0b59b5da2941a661408f7a56293f58f", date: "2021-09-09 20:30:28 UTC", description: "`cargo upgrade --aggressive`", pr_number:                                                9089, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      8, insertions_count:   433, deletions_count:  436},
		{sha: "ab57591bda8c93167313cd0a47a8323955e77f9a", date: "2021-09-09 20:54:58 UTC", description: "Upgrade Rust to 1.55", pr_number:                                                        9094, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      4, insertions_count:   8, deletions_count:    10},
		{sha: "4bb3f1fee2361d0d99857ff4831be0c49bd42f92", date: "2021-09-09 23:04:45 UTC", description: "revert internal tracing proof of concept", pr_number:                                    9041, scopes: ["observability"], type:                         "chore", breaking_change:       false, author: "Luke Steensen", files_count:      11, insertions_count:  11, deletions_count:   169},
		{sha: "adc980bdaf5b429ade631703e22adf0d5fdf7766", date: "2021-09-10 04:49:06 UTC", description: "bump nom from 7.0.0-alpha1 to 7.0.0", pr_number:                                         8830, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    7, insertions_count:   22, deletions_count:   72},
		{sha: "3d0563303067924b80e931a632eb3c2b6cc7258e", date: "2021-09-09 23:30:44 UTC", description: "Put collects back", pr_number:                                                           9097, scopes: ["ci"], type:                                    "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      2, insertions_count:   11, deletions_count:   6},
		{sha: "d27d9944c4d9d53084cd126888409177abfce2c3", date: "2021-09-10 00:13:42 UTC", description: "Run integration tests on PRs with label", pr_number:                                     9098, scopes: ["ci"], type:                                    "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      1, insertions_count:   42, deletions_count:   376},
		{sha: "382a826d98101646009bce236c3abe41fe3e4cfc", date: "2021-09-10 02:40:34 UTC", description: "work around internal_logs lack of isolation", pr_number:                                 9099, scopes: ["tests"], type:                                 "fix", breaking_change:         false, author: "Luke Steensen", files_count:      1, insertions_count:   7, deletions_count:    3},
		{sha: "cd985e9492cf0388e366fa9686e8b0c26d4ff17c", date: "2021-09-10 10:22:30 UTC", description: "add `find_enrichment_table_records` VRL function", pr_number:                            9069, scopes: ["enriching"], type:                             "enhancement", breaking_change: false, author: "Stephen Wakely", files_count:     7, insertions_count:   354, deletions_count:  78},
		{sha: "06ef4d7a5719b4f07d2a474b578ed55712cb07f9", date: "2021-09-10 05:32:53 UTC", description: "Fix smoke test first line function for e2e kubernetes tests", pr_number:                 9096, scopes: ["tests"], type:                                 "fix", breaking_change:         false, author: "Spencer Gilbert", files_count:    1, insertions_count:   1, deletions_count:    2},
		{sha: "e57896da0dcf18029d5daa18f684ae5c62f38add", date: "2021-09-10 12:23:51 UTC", description: "Usable in Test", pr_number:                                                              9095, scopes: ["enriching"], type:                             "fix", breaking_change:         false, author: "Danny Browning", files_count:     2, insertions_count:   43, deletions_count:   22},
		{sha: "2327e398f1f356b5ad920c4db33dee7b5c859bd6", date: "2021-09-10 17:51:39 UTC", description: "bump async-nats from 0.9.18 to 0.10.1", pr_number:                                       9101, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   11, deletions_count:   13},
		{sha: "71c6f92e75257c81246cd64d11e2f8733322f3a1", date: "2021-09-11 03:05:25 UTC", description: "add find function", pr_number:                                                           9090, scopes: ["vrl"], type:                                   "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:     5, insertions_count:   256, deletions_count:  0},
		{sha: "438eb44ad1ac30187a47f5a928a8d78c8176bdfb", date: "2021-09-11 02:18:45 UTC", description: "Added case sensitive option to enrichment VRL functions", pr_number:                     9085, scopes: ["vrl"], type:                                   "enhancement", breaking_change: false, author: "Stephen Wakely", files_count:     8, insertions_count:   324, deletions_count:  94},
		{sha: "b37dea5de4b974a2206e661828f822b09ad89184", date: "2021-09-10 23:19:39 UTC", description: "Fix batching parameters", pr_number:                                                     9106, scopes: ["aws_s3 sink"], type:                           "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      2, insertions_count:   9, deletions_count:    9},
		{sha: "6b06da49831ac7686ed00a83b25c43ba187ac8ae", date: "2021-09-10 23:56:00 UTC", description: "Add documentation for encoding.codec", pr_number:                                        9109, scopes: ["sinks"], type:                                 "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      21, insertions_count:  45, deletions_count:   28},
		{sha: "97be278a1977d9f6958f45781c11a52aa33516d7", date: "2021-09-14 02:09:10 UTC", description: "Add select parameter to enrichment VRL functions", pr_number:                            9102, scopes: ["enriching"], type:                             "enhancement", breaking_change: false, author: "Stephen Wakely", files_count:     7, insertions_count:   149, deletions_count:  22},
		{sha: "820159e7c9febe65903e00f0a26199325819086d", date: "2021-09-13 19:14:52 UTC", description: "Overwrite wix install if exists", pr_number:                                             9116, scopes: ["ci"], type:                                    "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      1, insertions_count:   1, deletions_count:    1},
		{sha: "71db23d010185b5ca0e5d09d736b11238b951bc9", date: "2021-09-14 00:24:42 UTC", description: "more precise aws retry logic", pr_number:                                                9104, scopes: ["aws service"], type:                           "fix", breaking_change:         false, author: "Luke Steensen", files_count:      1, insertions_count:   36, deletions_count:   5},
		{sha: "b5105d9fb0a2a7d29c562b183456dc31cfaf5825", date: "2021-09-14 03:13:17 UTC", description: "Add common counters", pr_number:                                                         9111, scopes: ["observability"], type:                         "chore", breaking_change:       false, author: "Bruce Guenter", files_count:      29, insertions_count:  125, deletions_count:  42},
		{sha: "f19d77c36aa9218e548c66533ccfe90c087be4be", date: "2021-09-14 06:19:45 UTC", description: "use a fixed vec allocation for batches", pr_number:                                      9128, scopes: ["architecture"], type:                          "fix", breaking_change:         false, author: "Toby Lawrence", files_count:      2, insertions_count:   28, deletions_count:   45},
		{sha: "5561dabe6d4aeaee430f90700c187ac82843ae3e", date: "2021-09-14 19:09:40 UTC", description: "allow `:` in metric names", pr_number:                                                   9123, scopes: ["prometheus_scrape source"], type:              "fix", breaking_change:         false, author: "Stephen Wakely", files_count:     1, insertions_count:   6, deletions_count:    1},
		{sha: "2832615dce6857b1cd8f7f3056b3c487d62d4ade", date: "2021-09-14 16:39:09 UTC", description: "bump serde_yaml from 0.8.20 to 0.8.21", pr_number:                                       9118, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "1ffb9c81cde9e0829599845132ff64209edf2baf", date: "2021-09-14 16:39:32 UTC", description: "bump tracing-core from 0.1.19 to 0.1.20", pr_number:                                     9119, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   12, deletions_count:   12},
		{sha: "b009967cb9dbb0bb5ab1d55859c3035ac598b386", date: "2021-09-14 16:39:49 UTC", description: "bump anyhow from 1.0.43 to 1.0.44", pr_number:                                           9120, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   4, deletions_count:    4},
		{sha: "af59fe3913bec7a3a73263772a7ae1e137873a8b", date: "2021-09-14 17:08:03 UTC", description: "Re-add VRL posiition to `log()` calls", pr_number:                                       8995, scopes: ["vrl"], type:                                   "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      1, insertions_count:   23, deletions_count:   20},
		{sha: "650bcbc72ffb3ac3b2b484a88ed398e9cb5b1f58", date: "2021-09-14 17:25:03 UTC", description: "bump flate2 from 1.0.21 to 1.0.22", pr_number:                                           9133, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "ac31ffe7384cd83d14564676a061a190f1eba4e0", date: "2021-09-15 02:57:55 UTC", description: "Document setting use_v2_api to false", pr_number:                                        9145, scopes: ["datadog_agent source"], type:                  "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      1, insertions_count:   7, deletions_count:    3},
		{sha: "37c495af6bc8eabafc3f2bfae15c78980b9aaef9", date: "2021-09-15 19:49:45 UTC", description: "remove reference to deleted CODEOWNERS in CONTRIBUTING.md", pr_number:                   9147, scopes: [], type:                                        "docs", breaking_change:        false, author: "Nathan Fox", files_count:         1, insertions_count:   1, deletions_count:    2},
		{sha: "e66736f6c3d2c49361114fbd9fd5515c388a042f", date: "2021-09-15 20:26:47 UTC", description: "Use use_v2_api: false for k8s datadog agent tests", pr_number:                           9155, scopes: ["ci"], type:                                    "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      1, insertions_count:   1, deletions_count:    0},
		{sha: "70f056b77eee8c601227077bda1d5036fa922d28", date: "2021-09-15 19:27:18 UTC", description: "bump tracing from 0.1.26 to 0.1.27", pr_number:                                          9134, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    6, insertions_count:   29, deletions_count:   29},
		{sha: "fcc92fb8d849b372e5c157fdff5bd51775bea2d4", date: "2021-09-15 19:28:39 UTC", description: "bump serde_json from 1.0.67 to 1.0.68", pr_number:                                       9149, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    7, insertions_count:   8, deletions_count:    8},
		{sha: "30ff3da8c3ee14428096db33931aa89c14c59326", date: "2021-09-15 19:29:23 UTC", description: "bump tracing-subscriber from 0.2.20 to 0.2.22", pr_number:                               9136, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   4, deletions_count:    4},
		{sha: "44756375e9643f63e6890dbae1c3fbc95925f13c", date: "2021-09-16 00:08:09 UTC", description: "Add specifications for configuration and instrumentation", pr_number:                    9117, scopes: [], type:                                        "chore", breaking_change:       false, author: "Ben Johnson", files_count:        4, insertions_count:   200, deletions_count:  66},
		{sha: "f4a55711a7e54f0f5533acf14abc327a80c02d9c", date: "2021-09-16 00:08:12 UTC", description: "bump rust_decimal from 1.15.0 to 1.16.0", pr_number:                                     9148, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    1, insertions_count:   2, deletions_count:    2},
		{sha: "29880a750d75bf1d018882f9995f1db0bcc0411e", date: "2021-09-16 01:08:40 UTC", description: "Remove unused advisory", pr_number:                                                      9138, scopes: ["ci"], type:                                    "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      2, insertions_count:   1, deletions_count:    5},
		{sha: "eae0a8854719c54eb559785efc4d484e0687dd1b", date: "2021-09-16 09:38:59 UTC", description: "Add 'datadog_archives' sink with S3 support", pr_number:                                 8929, scopes: ["new sink"], type:                              "feat", breaking_change:        false, author: "Vladimir Zhuk", files_count:      15, insertions_count:  1474, deletions_count: 545},
		{sha: "513b405090122e49ee1eccd020d7475a0962c155", date: "2021-09-16 10:13:49 UTC", description: "bump libc from 0.2.101 to 0.2.102", pr_number:                                           9156, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "ee912a2eb6dbedb0b2405b180a6b53c5e74308bf", date: "2021-09-16 03:45:16 UTC", description: "Rework the Datadog logs sink", pr_number:                                                8825, scopes: [], type:                                        "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count: 12, insertions_count:  651, deletions_count:  280},
		{sha: "c82e322cbecc9351f1c56a4e08cf86bdc44817c3", date: "2021-09-16 03:55:08 UTC", description: "Add section for debian package", pr_number:                                              9164, scopes: ["releasing"], type:                             "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:      1, insertions_count:   1, deletions_count:    0},
		{sha: "e1e6e531d8e987db622b9248f3b69c3cd76bdbca", date: "2021-09-16 05:23:08 UTC", description: "Add common metrics docs", pr_number:                                                     9150, scopes: ["observability"], type:                         "docs", breaking_change:        false, author: "Bruce Guenter", files_count:      33, insertions_count:  102, deletions_count:  28},
		{sha: "16d8a2e44fc2a043c5450834469f57b21107298c", date: "2021-09-16 13:37:49 UTC", description: "Integrate `Decoder`/`DecodingConfig` with stdin source", pr_number:                      9070, scopes: ["codecs", "stdin source"], type:                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      4, insertions_count:   82, deletions_count:   75},
		{sha: "90435ad99f364f00d621e8f7e2da5eb50cf20314", date: "2021-09-16 12:25:10 UTC", description: "bump socket2 from 0.4.1 to 0.4.2", pr_number:                                            9167, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   9, deletions_count:    9},
		{sha: "7240e8c27771d4ba453a5a63604ba7353b0ae647", date: "2021-09-16 13:49:51 UTC", description: "bump mlua from 0.6.2 to 0.6.3", pr_number:                                               9170, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   4, deletions_count:    4},
		{sha: "72159b5d485bdd5cda4782700b27aa9b4415839d", date: "2021-09-16 20:19:23 UTC", description: "adjust deflate compression handling", pr_number:                                         9121, scopes: ["http source"], type:                           "fix", breaking_change:         false, author: "Pierre Rognant", files_count:     2, insertions_count:   4, deletions_count:    4},
		{sha: "e555f1f09b1c86621f81fa39473bfcfe1a99a176", date: "2021-09-16 18:44:35 UTC", description: "reorder service layers to prevent unbounded retries", pr_number:                         9026, scopes: ["networking"], type:                            "fix", breaking_change:         false, author: "KH-Moogsoft", files_count:        5, insertions_count:   44, deletions_count:   46},
		{sha: "672c1e328e8b91437ca7ec37f0fb9383f7b24dbc", date: "2021-09-16 22:24:31 UTC", description: "Add ipv6 support to parse_aws_alb_log.rs", pr_number:                                    9163, scopes: ["vrl"], type:                                   "fix", breaking_change:         false, author: "Charles Teese", files_count:      1, insertions_count:   39, deletions_count:   3},
		{sha: "9025c6655726c042f5e8c1db705d066062955d5e", date: "2021-09-17 06:53:20 UTC", description: "handle BufferConfig parsing without a type tag", pr_number:                              9151, scopes: ["config"], type:                                "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:     1, insertions_count:   141, deletions_count:  7},
		{sha: "5c702182e39e351406e420a4b7bcb6692f77ae97", date: "2021-09-17 02:43:44 UTC", description: "ship final batches when shutting down", pr_number:                                       9184, scopes: ["aws_s3 sink"], type:                           "fix", breaking_change:         false, author: "Toby Lawrence", files_count:      1, insertions_count:   15, deletions_count:   2},
		{sha: "8450f80d31c581fe2fc9530d1567f92c6144f117", date: "2021-09-17 09:35:14 UTC", description: "Allow `max_length` to be missing from framers / empty decoding config", pr_number:       9067, scopes: ["codecs"], type:                                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      11, insertions_count:  64, deletions_count:   76},
		{sha: "1f46657e36b5772453e01fef273c27e76139b54a", date: "2021-09-17 10:06:56 UTC", description: "Integrate `Decoder`/`DecodingConfig` with kafka source", pr_number:                      9071, scopes: ["codecs", "kafka source"], type:                "enhancement", breaking_change: false, author: "Pablo Sichert", files_count:      4, insertions_count:   80, deletions_count:   27},
		{sha: "d39dc74a179e24a82365926f445354a8c9ea62a7", date: "2021-09-17 08:52:29 UTC", description: "bump hyper from 0.14.12 to 0.14.13", pr_number:                                          9198, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "3609fe28b8bce5f51b24e615cb21077d5c621b90", date: "2021-09-17 02:00:38 UTC", description: "Removes `sink::Response` from the Datadog Logs sink", pr_number:                         9172, scopes: [], type:                                        "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count: 3, insertions_count:   29, deletions_count:   28},
		{sha: "dcaf8158a35ed9b51f448fdf1cfc81ec3eba99d4", date: "2021-09-17 10:34:36 UTC", description: "bump metrics-util from 0.10.0 to 0.10.1", pr_number:                                     9200, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   13, deletions_count:   12},
		{sha: "6bf01f1022102a1c8a67f9c93373da8e0164cf4b", date: "2021-09-17 03:44:49 UTC", description: "Write logs to stderr", pr_number:                                                        9166, scopes: ["cli"], type:                                   "enhancement", breaking_change: true, author:  "Jesse Szwedko", files_count:      3, insertions_count:   20, deletions_count:   3},
		{sha: "37debb72a7f03de38f38e6f8aa7902e76c4218c0", date: "2021-09-17 21:54:32 UTC", description: "Use `codecs::Decoder` in `TcpSource`", pr_number:                                        9154, scopes: ["codecs"], type:                                "chore", breaking_change:       false, author: "Pablo Sichert", files_count:      21, insertions_count:  701, deletions_count:  473},
		{sha: "db329f589ad1da44956b326f06b468d7d161aedc", date: "2021-09-18 01:56:08 UTC", description: "error if enrichment functions reference a non existent column", pr_number:               9174, scopes: ["enriching"], type:                             "enhancement", breaking_change: false, author: "Stephen Wakely", files_count:     1, insertions_count:   40, deletions_count:   4},
		{sha: "c2de01198723fab945cba96b0e3746b4f613256a", date: "2021-09-17 19:26:29 UTC", description: "Fix relevant_when documentation for request options", pr_number:                         9197, scopes: ["vector sink"], type:                           "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      1, insertions_count:   1, deletions_count:    1},
		{sha: "2e91f958510f5689bd1e706a88f253ddad3cba6e", date: "2021-09-17 19:57:24 UTC", description: "bump tracing-subscriber from 0.2.22 to 0.2.23", pr_number:                               9199, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   4, deletions_count:    4},
		{sha: "a32c7fd09978f76a3f1bd360c3a8d07a49538b70", date: "2021-09-17 23:04:06 UTC", description: "Fix typo on pipelines page", pr_number:                                                  9214, scopes: ["external docs"], type:                         "chore", breaking_change:       false, author: "Spencer Gilbert", files_count:    1, insertions_count:   1, deletions_count:    1},
		{sha: "62bbb4f61f35851b8b487b9381a9f92cd96de3e3", date: "2021-09-17 21:53:17 UTC", description: "Clarify how remap can access metrics", pr_number:                                        9222, scopes: ["remap transform"], type:                       "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      2, insertions_count:   17, deletions_count:   13},
		{sha: "ac47448f1be31f61a726f34d08b588f37fc77a17", date: "2021-09-18 05:06:22 UTC", description: "bump arc-swap from 1.3.2 to 1.4.0", pr_number:                                           9220, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   4, deletions_count:    4},
		{sha: "b20770f651df56de7df1025f8ad37114ecdc6ac1", date: "2021-09-18 02:26:01 UTC", description: "Add buffer instrumentation spec", pr_number:                                             9165, scopes: [], type:                                        "chore", breaking_change:       false, author: "Will", files_count:               1, insertions_count:   58, deletions_count:   0},
		{sha: "e2e6946f76ba0e1fc9baa5165794cf6918bdc262", date: "2021-09-18 00:21:54 UTC", description: "Missing ` in docs", pr_number:                                                           9224, scopes: ["remap transform"], type:                       "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      1, insertions_count:   1, deletions_count:    1},
		{sha: "145f793c835a143a50a124eed3a39d672ebac660", date: "2021-09-18 03:23:16 UTC", description: "Add component_ prefix to metric naming", pr_number:                                      9218, scopes: [], type:                                        "chore", breaking_change:       false, author: "Will", files_count:               58, insertions_count:  87, deletions_count:   84},
		{sha: "773d08bc17252ebd5d1afb75e380567a396929f2", date: "2021-09-18 02:25:03 UTC", description: "Detect cgroup memory controller before scanning", pr_number:                             9168, scopes: ["host_metrics source"], type:                   "fix", breaking_change:         false, author: "Bruce Guenter", files_count:      8, insertions_count:   195, deletions_count:  105},
		{sha: "a8d1b54d7359943b7344875e276d8695b329277d", date: "2021-09-18 16:40:23 UTC", description: "Fix `top` quitting when the host has gone away", pr_number:                              9139, scopes: ["cli"], type:                                   "fix", breaking_change:         false, author: "Lee Benson", files_count:         5, insertions_count:   21, deletions_count:   11},
		{sha: "5339525536fb1fbde2b154114c5c578897929dfa", date: "2021-09-19 00:50:32 UTC", description: "Re-add namespace to instrumentation spec", pr_number:                                    9232, scopes: [], type:                                        "chore", breaking_change:       false, author: "Ben Johnson", files_count:        1, insertions_count:   2, deletions_count:    2},
		{sha: "a4309903216541c7655bcb278837c62321366b0d", date: "2021-09-21 00:54:18 UTC", description: "Correct encoding tags", pr_number:                                                       9252, scopes: ["datadog_archives sink"], type:                 "fix", breaking_change:         false, author: "Vladimir Zhuk", files_count:      1, insertions_count:   14, deletions_count:   2},
		{sha: "13f0b90a142fba6f85bb30b4e19bbf9ddde62adb", date: "2021-09-20 17:02:19 UTC", description: "bump tracing from 0.1.27 to 0.1.28", pr_number:                                          9230, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    6, insertions_count:   26, deletions_count:   26},
		{sha: "7a35ce472fa09830b7b8c74065401ee0a4fe14cf", date: "2021-09-20 17:33:17 UTC", description: "bump cidr-utils from 0.5.4 to 0.5.5", pr_number:                                         9245, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "4ef77e88def1b07c033393d818570e420d9b98be", date: "2021-09-20 17:33:43 UTC", description: "bump rand_distr from 0.4.1 to 0.4.2", pr_number:                                         9246, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "3c527e962773f7f5c80c74200f1fbe1b5b84aaaf", date: "2021-09-21 01:26:16 UTC", description: "bump tracing-subscriber from 0.2.23 to 0.2.24", pr_number:                               9247, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   4, deletions_count:    4},
		{sha: "b6a230c88af5b2b7ba0f6bc8d2e117afec7b0d1b", date: "2021-09-21 03:19:55 UTC", description: "Fix API client subscription drop", pr_number:                                            9250, scopes: ["cli"], type:                                   "enhancement", breaking_change: false, author: "Lee Benson", files_count:         4, insertions_count:   57, deletions_count:   63},
		{sha: "2510b248b522529c7ec1ee34a85824de3d4b0964", date: "2021-09-20 20:30:03 UTC", description: "Update GitHub org name throughout the website", pr_number:                               9249, scopes: ["external docs"], type:                         "fix", breaking_change:         false, author: "Luc Perkins", files_count:        49, insertions_count:  101, deletions_count:  101},
		{sha: "c6b6422cd2b7692958f91e95d2be2d72f9c157a6", date: "2021-09-20 21:00:56 UTC", description: "Add source/edit buttons to docs and guides", pr_number:                                  9248, scopes: ["external docs"], type:                         "fix", breaking_change:         false, author: "Luc Perkins", files_count:        4, insertions_count:   32, deletions_count:   2},
		{sha: "9df6168426bd153b3a0d1b4f49b098d32a6b86b2", date: "2021-09-20 21:05:00 UTC", description: "Re-introduce tokio-console under a feature flag", pr_number:                             9240, scopes: [], type:                                        "chore", breaking_change:       false, author: "Brian L. Troutwine", files_count: 4, insertions_count:   124, deletions_count:  4},
		{sha: "a3f939a50a215122c8de966bd163330ed2cab474", date: "2021-09-21 05:31:02 UTC", description: "fix byte-swapped integers in ip_aton() and ip_ntoa() functions", pr_number:              9208, scopes: ["vrl"], type:                                   "fix", breaking_change:         false, author: "Hugo Hromic", files_count:        5, insertions_count:   10, deletions_count:   14},
		{sha: "be8ceafbf994d06f505bdd9fb392b00e0ba661f2", date: "2021-09-21 05:47:41 UTC", description: "Fix `tap` signal handling", pr_number:                                                   9254, scopes: ["cli"], type:                                   "fix", breaking_change:         false, author: "Lee Benson", files_count:         2, insertions_count:   16, deletions_count:   7},
		{sha: "48181c21a555e28c92b3e94565fe7d731765ec1d", date: "2021-09-21 05:21:02 UTC", description: "bump bstr from 0.2.16 to 0.2.17", pr_number:                                             9260, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    1, insertions_count:   4, deletions_count:    4},
		{sha: "c6c1630fd10cc05453e682615dd2d6643eabe6c7", date: "2021-09-20 23:13:20 UTC", description: "Use bash rather than sh for script installer", pr_number:                                9266, scopes: ["releasing"], type:                             "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      6, insertions_count:   7, deletions_count:    7},
		{sha: "3acfa6244c7e5a7873c0a72036b800fef5fbc4d8", date: "2021-09-21 02:05:23 UTC", description: "Run `cue fmt` on the docs", pr_number:                                                   9268, scopes: ["external docs"], type:                         "chore", breaking_change:       false, author: "Bruce Guenter", files_count:      33, insertions_count:  142, deletions_count:  142},
		{sha: "7d20469c710eddd5d0ae1191d15a7b066684d89c", date: "2021-09-21 01:06:31 UTC", description: "Improve VRL function templating", pr_number:                                             9263, scopes: ["external docs"], type:                         "fix", breaking_change:         false, author: "Luc Perkins", files_count:        4, insertions_count:   210, deletions_count:  102},
		{sha: "fd31ff546e00fcf1ff3cd2f4e47fc275fd9eb486", date: "2021-09-21 20:29:39 UTC", description: "allow statements in `if` predicates over multiple lines.", pr_number:                    9177, scopes: ["vrl"], type:                                   "enhancement", breaking_change: false, author: "Stephen Wakely", files_count:     3, insertions_count:   66, deletions_count:   1},
		{sha: "1b5f2703bb9d426e35dbb49459c78b4abbacbbc0", date: "2021-09-21 21:47:47 UTC", description: "Accept metrics in the `datadog_agent` source RFC", pr_number:                            9057, scopes: ["datadog_agent source"], type:                  "chore", breaking_change:       false, author: "Pierre Rognant", files_count:     1, insertions_count:   234, deletions_count:  0},
		{sha: "24ef9af7925720375112437b5acc0acb443dd9fe", date: "2021-09-21 19:42:10 UTC", description: "Move InternalEvent to vector-core", pr_number:                                           9264, scopes: [], type:                                        "chore", breaking_change:       false, author: "Will", files_count:               215, insertions_count: 462, deletions_count:  443},
		{sha: "38cf74e8f4c0f387d8ad4ee6124a0a3138abe52f", date: "2021-09-21 18:45:00 UTC", description: "Fix clippy error in `BufferConfig::resources`", pr_number:                               9274, scopes: ["buffers"], type:                               "chore", breaking_change:       false, author: "Bruce Guenter", files_count:      1, insertions_count:   1, deletions_count:    0},
		{sha: "9126e5ed93babd4f50324eb5ae3cc82559b78543", date: "2021-09-22 01:08:41 UTC", description: "add pod annotations", pr_number:                                                         9180, scopes: ["kubernetes_logs source"], type:                "feat", breaking_change:        false, author: "LOU Xun", files_count:            2, insertions_count:   52, deletions_count:   0},
		{sha: "5ec0ccc2cb30b8f129226c0b47e5d01c46286a50", date: "2021-09-22 03:41:25 UTC", description: "bump tokio from 1.11.0 to 1.12.0", pr_number:                                            9288, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    8, insertions_count:   10, deletions_count:   10},
		{sha: "a6b304dbfdd4bde0a2ec46c073268eb4187c08de", date: "2021-09-21 20:47:40 UTC", description: "Re-add markdown and cue checks", pr_number:                                              9285, scopes: ["ci"], type:                                    "fix", breaking_change:         false, author: "Jesse Szwedko", files_count:      122, insertions_count: 759, deletions_count:  367},
		{sha: "3257a32dc97f5d9f515472d520a967b8fbbe7310", date: "2021-09-21 21:55:28 UTC", description: "bump chrono-tz from 0.5.3 to 0.6.0", pr_number:                                          9258, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    4, insertions_count:   68, deletions_count:   8},
		{sha: "70c22c8823bc9d6356c8afaa900d2204dadc8a27", date: "2021-09-22 06:10:40 UTC", description: "bump http from 0.2.4 to 0.2.5", pr_number:                                               9290, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   4, deletions_count:    4},
		{sha: "ea0f37f9c3f4e6a7c7f8a7e249dd28bc0d49d886", date: "2021-09-22 00:12:14 UTC", description: "Serve metadata as JSON", pr_number:                                                      9276, scopes: ["external docs"], type:                         "enhancement", breaking_change: false, author: "Luc Perkins", files_count:        4, insertions_count:   19, deletions_count:   1},
		{sha: "e4bc841cd8e93428d85eee7e4bb95c5e7a0790f3", date: "2021-09-22 03:01:32 UTC", description: "Improve file source observability", pr_number:                                           9205, scopes: ["observability", "file source"], type:          "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:      12, insertions_count:  182, deletions_count:  72},
		{sha: "7365947c0bad913ace661960782cd22d64838f37", date: "2021-09-22 04:08:00 UTC", description: "Emit events for sent events in all HttpSink sinks", pr_number:                           9275, scopes: ["observability", "sinks"], type:                "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:      24, insertions_count:  196, deletions_count:  19},
		{sha: "616934b37ee18f14e332185c96a301e20c7ca6aa", date: "2021-09-22 20:16:24 UTC", description: "add header support to kafka sink", pr_number:                                            9171, scopes: ["kafka sink"], type:                            "enhancement", breaking_change: false, author: "Nathan Fox", files_count:         5, insertions_count:   128, deletions_count:  14},
		{sha: "2e857cf320acd44b995bf9cbfebefbfcfccdc27a", date: "2021-09-23 03:23:27 UTC", description: "use v2 endpoint for logs", pr_number:                                                    9277, scopes: ["datadog_logs sink"], type:                     "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:     2, insertions_count:   7, deletions_count:    3},
		{sha: "4679b7eb0938f2a98c485734fa17c8f6b189e552", date: "2021-09-22 19:16:22 UTC", description: "Move rate limiting span to just around log function", pr_number:                         9294, scopes: ["vrl"], type:                                   "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:      120, insertions_count: 759, deletions_count:  149},
		{sha: "d9a6994b9390b493c917a2da78c847235f478421", date: "2021-09-23 04:53:59 UTC", description: "enrichment functions need to specify date conditions", pr_number:                        9296, scopes: ["enriching"], type:                             "enhancement", breaking_change: false, author: "Stephen Wakely", files_count:     4, insertions_count:   132, deletions_count:  20},
		{sha: "7d30ebd427086f26a6d3a06c7c53e14b8618a989", date: "2021-09-23 16:13:17 UTC", description: "Add `received_events_total` to the API", pr_number:                                      9300, scopes: ["graphql api"], type:                           "chore", breaking_change:       false, author: "Lee Benson", files_count:         26, insertions_count:  786, deletions_count:  127},
		{sha: "593cfe5d35cd0215ca0e35501288a32708eeedda", date: "2021-09-24 00:04:08 UTC", description: "support v1 and v2 log apis", pr_number:                                                  9176, scopes: ["datadog_agent source"], type:                  "feat", breaking_change:        false, author: "Jérémie Drouet", files_count:     11, insertions_count:  561, deletions_count:  231},
		{sha: "e10294c7b41b7328f708c03a37740c9e617270d8", date: "2021-09-23 20:38:47 UTC", description: "Fix reference examples", pr_number:                                                      9319, scopes: [], type:                                        "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      1, insertions_count:   5, deletions_count:    4},
		{sha: "095638ffde8735d525a70719e20b0c9e431163dd", date: "2021-09-24 22:15:29 UTC", description: "make StreamSink::run take self", pr_number:                                              9331, scopes: ["sinks"], type:                                 "chore", breaking_change:       false, author: "Nathan Fox", files_count:         12, insertions_count:  40, deletions_count:   60},
		{sha: "c28a682dde7dfb5e75b7f0112bdd2c0fb3a4665c", date: "2021-09-24 22:23:26 UTC", description: "Move byte_size_of to core_common", pr_number:                                            9341, scopes: [], type:                                        "chore", breaking_change:       false, author: "Will", files_count:               8, insertions_count:   28, deletions_count:   27},
		{sha: "d8454e575b5eb9511fff4d11961babfb0f4d0a15", date: "2021-09-24 20:43:49 UTC", description: "bump actions/github-script from 4.1 to 5", pr_number:                                    9345, scopes: ["ci"], type:                                    "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   4, deletions_count:    4},
		{sha: "b383758a92e7477b56351e8979b701e6e6e7d14e", date: "2021-09-25 01:43:52 UTC", description: "Actually run cue and markdown checks on CI", pr_number:                                  9343, scopes: ["external docs"], type:                         "chore", breaking_change:       false, author: "Bruce Guenter", files_count:      5, insertions_count:   81, deletions_count:   74},
		{sha: "8e5fd7ca34ea6209922b1fadbb870ce580013a30", date: "2021-09-27 22:13:05 UTC", description: "refactor PathIter to avoid regex + allocations (plus a bonus change)", pr_number:        9348, scopes: ["architecture"], type:                          "chore", breaking_change:       false, author: "Toby Lawrence", files_count:      24, insertions_count:  369, deletions_count:  209},
		{sha: "68965243e33e5dbaaf18c8666f9268fa41f3f08c", date: "2021-09-27 22:40:53 UTC", description: "bump libc from 0.2.102 to 0.2.103", pr_number:                                           9356, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "7fede570cbd1aeca458daaf70a32f14f932b6387", date: "2021-09-27 23:18:50 UTC", description: "Change sidebar ordering of VRL and config docs", pr_number:                              9271, scopes: ["external docs"], type:                         "fix", breaking_change:         false, author: "Luc Perkins", files_count:        6, insertions_count:   181, deletions_count:  148},
		{sha: "16336c367ed178e044b70a96a649b495e0b3d00d", date: "2021-09-28 00:29:05 UTC", description: "Add `tally` function", pr_number:                                                        9015, scopes: ["vrl"], type:                                   "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:      118, insertions_count: 234, deletions_count:  115},
		{sha: "3f225b7b1eb820be337f10979f1cac7e9f37e4b3", date: "2021-09-28 04:18:50 UTC", description: "Add buffer max size metric to buffer specification", pr_number:                          9318, scopes: [], type:                                        "chore", breaking_change:       false, author: "Will", files_count:               1, insertions_count:   24, deletions_count:   6},
		{sha: "e03d2444cd164ac91250a7aa691567a10a8c9e33", date: "2021-09-28 19:39:29 UTC", description: "add sanity check in route & compound transforms", pr_number:                             9301, scopes: ["transforms"], type:                            "fix", breaking_change:         false, author: "Pierre Rognant", files_count:     3, insertions_count:   67, deletions_count:   17},
		{sha: "07131da94e477a9e6520b1c135e4c973c6e76fef", date: "2021-09-28 23:48:39 UTC", description: "RFC for iteration support", pr_number:                                                   9001, scopes: ["vrl"], type:                                   "chore", breaking_change:       false, author: "Jean Mertz", files_count:         1, insertions_count:   1088, deletions_count: 0},
		{sha: "671f98983824c9677aaee1baf17004aa402bd42f", date: "2021-09-28 19:29:10 UTC", description: "Add testing for component specification features", pr_number:                            9312, scopes: ["unit tests"], type:                            "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:      16, insertions_count:  343, deletions_count:  130},
		{sha: "2e1b3b609af8519c36057afc90107f066e554bdc", date: "2021-09-28 21:41:24 UTC", description: "add missing word", pr_number:                                                            9359, scopes: ["docs"], type:                                  "fix", breaking_change:         false, author: "vladislav doster", files_count:   1, insertions_count:   1, deletions_count:    1},
		{sha: "e677846fd8eb3bcb0530479456877c8969ac558b", date: "2021-09-29 19:19:09 UTC", description: "reverse if else alternatives before nesting", pr_number:                                 9363, scopes: ["vrl"], type:                                   "fix", breaking_change:         false, author: "Stephen Wakely", files_count:     2, insertions_count:   20, deletions_count:   2},
		{sha: "5a42de42ccff2afdddea0b878920622ab625834f", date: "2021-09-29 18:50:33 UTC", description: "bump pretty_assertions from 0.7.2 to 1.0.0", pr_number:                                  9364, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    5, insertions_count:   6, deletions_count:    6},
		{sha: "0f1264c44140382bab8f755fd7689ecc0256569b", date: "2021-09-29 18:50:57 UTC", description: "bump mlua from 0.6.3 to 0.6.4", pr_number:                                               9365, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   4, deletions_count:    4},
		{sha: "932552ea24c3a2fe887abf713ce512b3a5b1c0c3", date: "2021-09-29 18:51:32 UTC", description: "bump smallvec from 1.6.1 to 1.7.0", pr_number:                                           9366, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    1, insertions_count:   2, deletions_count:    2},
		{sha: "0fb69661a424abfe439d5d79b7a21a893be8c04c", date: "2021-09-30 01:09:24 UTC", description: "bump nix from 0.22.1 to 0.22.2", pr_number:                                              9369, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   5, deletions_count:    5},
		{sha: "f5124104d23e5dfacabaf81a8918c2b730ea9901", date: "2021-09-29 19:28:57 UTC", description: "Add script to surface-scan components against specification", pr_number:                 9308, scopes: [], type:                                        "chore", breaking_change:       false, author: "Bruce Guenter", files_count:      49, insertions_count:  334, deletions_count:  90},
		{sha: "873fb395a42530cef644e43fbd7dec4f543c9525", date: "2021-09-29 20:44:15 UTC", description: "Add link to CONTRIBUTING.md to root directory", pr_number:                               9357, scopes: [], type:                                        "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      1, insertions_count:   1, deletions_count:    0},
		{sha: "f77b30eeb67ba44fbf3cc1770345700f4ec926d9", date: "2021-09-29 23:39:42 UTC", description: "Fix markdown lint issues in VRL iteration RFC", pr_number:                               9380, scopes: ["internal docs"], type:                         "chore", breaking_change:       false, author: "Bruce Guenter", files_count:      1, insertions_count:   54, deletions_count:   54},
		{sha: "c149ed55e18b022e64eee9e160b05238641aa18e", date: "2021-09-30 02:26:03 UTC", description: "Allow `to_float` to take timestamps", pr_number:                                         9373, scopes: ["vrl"], type:                                   "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:      2, insertions_count:   24, deletions_count:   8},
		{sha: "29496445b19572e7d6cfda54273c260762025907", date: "2021-09-30 02:54:04 UTC", description: "added reverse_dns remap function", pr_number:                                            8717, scopes: ["vrl"], type:                                   "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:      6, insertions_count:   151, deletions_count:  0},
		{sha: "d8ed1b50a55884c05c73ea250212ae5d8cfbb8a9", date: "2021-09-30 23:20:13 UTC", description: "dynamic path functions", pr_number:                                                      9284, scopes: ["vrl"], type:                                   "feat", breaking_change:        false, author: "Jean Mertz", files_count:         15, insertions_count:  861, deletions_count:  13},
		{sha: "2e04d0946bdf30e7184919b6f3a5b5999d65dc74", date: "2021-09-30 19:14:09 UTC", description: "bump tokio-postgres from 0.7.2 to 0.7.3", pr_number:                                     9385, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   8, deletions_count:    17},
		{sha: "fe92f7201e9dfac5523be21bdd22f09199a5365a", date: "2021-09-30 20:01:42 UTC", description: "Provide the correct optionality for the VRL assert message", pr_number:                  9384, scopes: ["external docs"], type:                         "fix", breaking_change:         false, author: "Luc Perkins", files_count:        2, insertions_count:   9, deletions_count:    5},
		{sha: "e7b69015192eb1a350253b05984f858dbb9234dc", date: "2021-10-01 00:18:24 UTC", description: "Give the generator source a default interval", pr_number:                                9390, scopes: ["generator source"], type:                      "fix", breaking_change:         false, author: "Luc Perkins", files_count:        5, insertions_count:   39, deletions_count:   10},
		{sha: "edbfc6580950bc9c9bcfc8c15e43a3a2d20b2c7d", date: "2021-10-01 01:06:09 UTC", description: "Update unit testing docs to cover VRL conditions", pr_number:                            9377, scopes: ["external docs"], type:                         "enhancement", breaking_change: false, author: "Luc Perkins", files_count:        9, insertions_count:   409, deletions_count:  247},
		{sha: "9222a2f790a6b9ae1f30438539bb2f40b55c47a5", date: "2021-10-01 22:47:34 UTC", description: "Integrate `Decoder`/`DecodingConfig` with `exec` source", pr_number:                     9337, scopes: ["codecs", "exec source"], type:                 "enhancement", breaking_change: false, author: "Pablo Sichert", files_count:      3, insertions_count:   139, deletions_count:  222},
		{sha: "59075fc61a1103d42ebe85f9679dd315730eeb81", date: "2021-10-02 02:07:53 UTC", description: "add development design document", pr_number:                                             8735, scopes: ["vrl"], type:                                   "chore", breaking_change:       false, author: "Jean Mertz", files_count:         1, insertions_count:   419, deletions_count:  0},
		{sha: "0d4706aa0492fd4546d931920d7817f6a1d33f2a", date: "2021-10-01 22:36:03 UTC", description: "Use tokio runtime in buffer benchmarks", pr_number:                                      9391, scopes: ["buffers"], type:                               "fix", breaking_change:         false, author: "Will", files_count:               1, insertions_count:   32, deletions_count:   27},
		{sha: "03d7e654e5a8371ebdf79cb37ae910d6edd217cb", date: "2021-10-01 20:00:25 UTC", description: "Link to Helm chart repo", pr_number:                                                     9396, scopes: ["external docs"], type:                         "enhancement", breaking_change: false, author: "Joe Smith", files_count:          1, insertions_count:   4, deletions_count:    0},
		{sha: "843abe875cbaf155ec65e3418843453cb31be213", date: "2021-10-01 20:27:57 UTC", description: "Fix configuration reference", pr_number:                                                 9397, scopes: ["external docs"], type:                         "fix", breaking_change:         false, author: "Joe Smith", files_count:          1, insertions_count:   0, deletions_count:    2},
		{sha: "47d902aaf5d8d19e71eb5cd06e3b7661e52b3185", date: "2021-10-02 05:16:19 UTC", description: "Add `sent_events_total` to API", pr_number:                                              9313, scopes: ["graphql api"], type:                           "chore", breaking_change:       false, author: "Lee Benson", files_count:         25, insertions_count:  763, deletions_count:  121},
		{sha: "83b6f72144bfc640477da7bb527f835eabf950c9", date: "2021-10-01 23:53:26 UTC", description: "Lint DESIGN.md", pr_number:                                                              9413, scopes: ["vrl"], type:                                   "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      1, insertions_count:   40, deletions_count:   40},
		{sha: "d32c10df392b71addc8a41856338954f5541b059", date: "2021-10-01 23:55:39 UTC", description: "Fix configuration documentation", pr_number:                                             9414, scopes: ["syslog source"], type:                         "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      1, insertions_count:   58, deletions_count:   2},
		{sha: "6f789b2add3da30dd5b4e25ea3815a74bec0fcec", date: "2021-10-02 01:15:41 UTC", description: "Include config-dir option in CLI docs", pr_number:                                       9409, scopes: [], type:                                        "docs", breaking_change:        false, author: "Spencer Gilbert", files_count:    1, insertions_count:   9, deletions_count:    0},
		{sha: "d5bcb1fe38d24d0d9dac9e5b0662f2d3bdcc73b4", date: "2021-10-02 00:17:32 UTC", description: "Fix description rendering", pr_number:                                                   9410, scopes: ["datadog_agent source"], type:                  "docs", breaking_change:        false, author: "Jesse Szwedko", files_count:      2, insertions_count:   21, deletions_count:   11},
		{sha: "b1a24243a8bf5cc1cb69c14055854466ce483c3b", date: "2021-10-02 07:22:45 UTC", description: "Added check-build-tools to Makefile (#8146)", pr_number:                                 8147, scopes: ["dev"], type:                                   "enhancement", breaking_change: false, author: "f34nk", files_count:              1, insertions_count:   10, deletions_count:   0},
		{sha: "96e93297c4e6baced514aa1f26a7862a28331eee", date: "2021-10-02 06:42:51 UTC", description: "Refactor `outputEvents` subscription -> `outputEventsByComponentIdPatterns`", pr_number: 9339, scopes: ["graphql api"], type:                           "enhancement", breaking_change: false, author: "Lee Benson", files_count:         9, insertions_count:   79, deletions_count:   92},
		{sha: "26ebf3b230ef2924b56b5620b4dea34985ea934a", date: "2021-10-02 02:00:23 UTC", description: "Allowing tagging metrics with instance and endpoint", pr_number:                         9330, scopes: ["prometheus_scrape source"], type:              "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:      2, insertions_count:   426, deletions_count:  88},
		{sha: "e4bf384b9f684784b8b83c1f28b6af19acec58c0", date: "2021-10-04 21:58:36 UTC", description: "Set DD origin headers", pr_number:                                                       9367, scopes: ["datadog_logs sink"], type:                     "enhancement", breaking_change: false, author: "Vladimir Zhuk", files_count:      5, insertions_count:   70, deletions_count:   3},
		{sha: "183c61c7a0f1136e8a7ef79683a5fcb72628962e", date: "2021-10-04 18:53:08 UTC", description: "Improve highlighting on template syntax page", pr_number:                                9419, scopes: [], type:                                        "chore", breaking_change:       false, author: "Spencer Gilbert", files_count:    1, insertions_count:   2, deletions_count:    2},
		{sha: "0a6a186567a2547f060ee2bf352bf90d3caa395e", date: "2021-10-05 10:12:57 UTC", description: "add support to use AWS credentials file for AWS authentication", pr_number:              9060, scopes: ["aws service"], type:                           "feat", breaking_change:        false, author: "moznion", files_count:            3, insertions_count:   128, deletions_count:  0},
		{sha: "35194fe294f79d88335565f9db0773df069ae479", date: "2021-10-05 05:11:13 UTC", description: "Propagate empty byte frames in message based transports", pr_number:                     9399, scopes: ["codecs"], type:                                "fix", breaking_change:         false, author: "Pablo Sichert", files_count:      1, insertions_count:   36, deletions_count:   6},
		{sha: "17fe9734b2fd57916439f13535ab62dbe8754f04", date: "2021-10-05 05:23:59 UTC", description: "always send unix timestamp in milliseconds", pr_number:                                  9436, scopes: ["datadog_logs sink"], type:                     "fix", breaking_change:         false, author: "Vladimir Zhuk", files_count:      2, insertions_count:   15, deletions_count:   1},
		{sha: "a10127904d5f2465860b83ea5c05db6029a18b0a", date: "2021-10-04 22:44:54 UTC", description: "Add events to HttpSource framework", pr_number:                                          9379, scopes: ["sources", "observability"], type:              "enhancement", breaking_change: false, author: "Bruce Guenter", files_count:      12, insertions_count:  188, deletions_count:  70},
		{sha: "56226c9ce54e8a9dafb533d31c1a195728a97b46", date: "2021-10-05 08:42:50 UTC", description: "Integrate `Decoder`/`DecodingConfig` with `nats` source", pr_number:                     9400, scopes: ["codecs", "exec source"], type:                 "enhancement", breaking_change: false, author: "Pablo Sichert", files_count:      3, insertions_count:   60, deletions_count:   28},
		{sha: "3110eac944956dea8cbd4ef06b1f3ead041ddeb2", date: "2021-10-05 09:56:27 UTC", description: "Integrate `Decoder`/`DecodingConfig` with `datadog` source", pr_number:                  9430, scopes: ["codecs", "datadog_agent source"], type:        "enhancement", breaking_change: false, author: "Pablo Sichert", files_count:      2, insertions_count:   64, deletions_count:   29},
		{sha: "eb825893d1fedc50ad610530c1483bcc19e38678", date: "2021-10-05 02:21:06 UTC", description: "bump atomig from 0.3.1 to 0.3.2", pr_number:                                             9427, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "6b5141b4ad55cc47fe4ce2fe657f4d9ec10c5a7f", date: "2021-10-05 06:43:49 UTC", description: "consolidate sink I/O driver logic into reusable component", pr_number:                   9215, scopes: ["architecture"], type:                          "chore", breaking_change:       false, author: "Toby Lawrence", files_count:      27, insertions_count:  1028, deletions_count: 633},
		{sha: "247683a82552e3f6dacd5e79a187ad9d831db43f", date: "2021-10-05 22:25:47 UTC", description: "expect ACCEPTED(202) instead of OK(200) response from Logs v2 API", pr_number:           9437, scopes: ["datadog_logs sink"], type:                     "fix", breaking_change:         false, author: "Vladimir Zhuk", files_count:      3, insertions_count:   7, deletions_count:    7},
		{sha: "848e816d76b5a4ca2b09f6709755d43942ec9db8", date: "2021-10-05 19:05:24 UTC", description: "bump lru from 0.6.6 to 0.7.0", pr_number:                                                9461, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "d0b028f660a213190afcdb31d45a1a848089a6e8", date: "2021-10-05 19:05:45 UTC", description: "bump tracing-core from 0.1.20 to 0.1.21", pr_number:                                     9426, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   14, deletions_count:   14},
		{sha: "7303878ef4def5df9c42a4fb7e41345f55dc31f1", date: "2021-10-05 19:06:06 UTC", description: "bump woothee from 0.11.0 to 0.12.1", pr_number:                                          9425, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    2, insertions_count:   3, deletions_count:    3},
		{sha: "97d72cbe745c08fc23f1e0588e4df19dc4cd5150", date: "2021-10-05 20:06:12 UTC", description: "Fix compilation issues when disk buffers are not enabled", pr_number:                    9358, scopes: ["buffers"], type:                               "chore", breaking_change:       false, author: "Bruce Guenter", files_count:      3, insertions_count:   25, deletions_count:   14},
		{sha: "31dc8cbb174050b95ddccc433675cb3e41d432df", date: "2021-10-05 23:37:44 UTC", description: "Correct parse_url's value type", pr_number:                                              9473, scopes: ["vrl"], type:                                   "fix", breaking_change:         false, author: "Spencer Gilbert", files_count:    1, insertions_count:   1, deletions_count:    1},
		{sha: "3d0bb0a8cf6d37d37e99031f2868444fe9a69e51", date: "2021-10-06 00:49:24 UTC", description: "Add benches for type assertion functions", pr_number:                                    9412, scopes: ["vrl"], type:                                   "chore", breaking_change:       false, author: "Jesse Szwedko", files_count:      1, insertions_count:   70, deletions_count:   1},
		{sha: "43e9049f118775710b5745f28f0647c1142c9705", date: "2021-10-06 02:03:37 UTC", description: "Add `default_known_ports` parameter to `parse_url` function", pr_number:                 9376, scopes: ["vrl"], type:                                   "enhancement", breaking_change: false, author: "Jesse Szwedko", files_count:      2, insertions_count:   115, deletions_count:  17},
		{sha: "754c144fe90fe2107f014ca618b4b857cd44ccda", date: "2021-10-06 09:12:57 UTC", description: "return empty json when buffer is empty", pr_number:                                      9464, scopes: ["sink loki"], type:                             "fix", breaking_change:         false, author: "Jérémie Drouet", files_count:     1, insertions_count:   16, deletions_count:   0},
		{sha: "abd24611fb31689202d42be96d3d70d6599d6f24", date: "2021-10-06 19:44:05 UTC", description: "Add ByteSizeOf for buffer items", pr_number:                                             9482, scopes: ["buffers"], type:                               "chore", breaking_change:       false, author: "Will", files_count:               6, insertions_count:   27, deletions_count:   3},
		{sha: "9a810b410c82748a5a29f41e42aad7860b2904fb", date: "2021-10-06 18:56:49 UTC", description: "bump tracing-subscriber from 0.2.24 to 0.2.25", pr_number:                               9486, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   4, deletions_count:    4},
		{sha: "6fdd32465b1501412c375fcba63f191e6ab136c3", date: "2021-10-06 18:57:23 UTC", description: "bump mlua from 0.6.4 to 0.6.5", pr_number:                                               9487, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    3, insertions_count:   4, deletions_count:    4},
		{sha: "e3a9fc3f4809627ca87829c39e53fa65f8946d01", date: "2021-10-06 18:57:48 UTC", description: "bump tracing from 0.1.28 to 0.1.29", pr_number:                                          9488, scopes: ["deps"], type:                                  "chore", breaking_change:       false, author: "dependabot[bot]", files_count:    6, insertions_count:   31, deletions_count:   31},
		{sha: "54cc4b9cc0a73d6ea7df19108597f8dfcfcaa691", date: "2021-10-07 02:18:17 UTC", description: "Integrate `Decoder`/`DecodingConfig` with `aws_kinesis_firehose` source", pr_number:     9332, scopes: ["codecs", "aws_kinesis_firehose source"], type: "enhancement", breaking_change: false, author: "Pablo Sichert", files_count:      5, insertions_count:   110, deletions_count:  108},
		{sha: "f13049a39799b95c488228fe10d243e68f6cfb99", date: "2021-10-07 01:29:21 UTC", description: "dont error when receiving a 404 when fetching metadata", pr_number:                      9492, scopes: ["aws_ec2_metadata transform"], type:            "enhancement", breaking_change: false, author: "Stephen Wakely", files_count:     1, insertions_count:   109, deletions_count:  93},
		{sha: "5ddb97cdf9e34e50640439f7f80f662e015defac", date: "2021-10-07 06:53:38 UTC", description: "Document `framing`/`decoding` feature", pr_number:                                       9196, scopes: ["codecs", "external docs"], type:               "docs", breaking_change:        false, author: "Pablo Sichert", files_count:      17, insertions_count:  294, deletions_count:  86},
	]
}
